# Code Conventions

This summarizes some of the conventions for the box-reactui repo.

## Icons
* Icon files that are just svg files are prefixed with `Icon`, while those that have additional logic are suffixed with `Icon`.
    * `Icon*` files should not have have an `index.js` file (so as to encourage direct imports for smaller bundle sizes)
* Everything in the `src/icons` directory should be prefixed or suffixed with `Icon`. (The things not named like this predate the current standards)
* Use the CSS classes `fill-color` and `stroke-color` (as appropriate) in the `svg` files to allow consumers to change an icon's color using CSS instead of props.