export default {
  "boxui.accessStats.accessStatsComments": "Comments",
  "boxui.accessStats.accessStatsDownloads": "Downloads",
  "boxui.accessStats.accessStatsEdits": "Edits",
  "boxui.accessStats.accessStatsPreviews": "Previews",
  "boxui.accessStats.accessStatsViewDetails": "View Details",
  "boxui.accessStats.accessStatsViews": "Views",
  "boxui.activityFeed.approvalAddAssignee": "Add an assignee",
  "boxui.activityFeed.approvalAddTask": "Add Task",
  "boxui.activityFeed.approvalAddTaskTooltip": "Assigning a task to someone will send them a notification with the message in the comment box and allow them to approve or deny.",
  "boxui.activityFeed.approvalAssignees": "Assignees",
  "boxui.activityFeed.approvalDueDate": "Due Date",
  "boxui.activityFeed.approvalSelectDate": "Select a date",
  "boxui.activityFeed.atMentionTip": "@mention users to notify them.",
  "boxui.activityFeed.commentCancel": "Cancel",
  "boxui.activityFeed.commentDeleteCancel": "No",
  "boxui.activityFeed.commentDeleteConfirm": "Yes",
  "boxui.activityFeed.commentDeletePrompt": "Delete comment?",
  "boxui.activityFeed.commentPost": "Post",
  "boxui.activityFeed.commentPostedFullDateTime": "{time, date, full} at {time, time, short}",
  "boxui.activityFeed.commentShowOriginal": "Show Original",
  "boxui.activityFeed.commentTranslate": "Translate",
  "boxui.activityFeed.commentWrite": "Write a comment",
  "boxui.activityFeed.completedAssignment": "Completed",
  "boxui.activityFeed.deleteLabel": "Delete",
  "boxui.activityFeed.editLabel": "Edit",
  "boxui.activityFeed.getVersionInfo": "Get version information",
  "boxui.activityFeed.keywordsAppliedList": "Keywords were applied",
  "boxui.activityFeed.keywordsList": "Keywords: {words}",
  "boxui.activityFeed.noActivity": "No Activity Yet",
  "boxui.activityFeed.noActivityCommentPrompt": "Comment and @mention people to notify them.",
  "boxui.activityFeed.rejectedAssignment": "Rejected",
  "boxui.activityFeed.taskApprove": "Complete",
  "boxui.activityFeed.taskDeletePrompt": "Delete task?",
  "boxui.activityFeed.taskDueDate": "Due",
  "boxui.activityFeed.taskReject": "Decline",
  "boxui.activityFeed.tasksForApproval": "Tasks",
  "boxui.activityFeed.versionDeleted": "{name} deleted version {versionNumber}",
  "boxui.activityFeed.versionMultipleUsersUploaded": "{numberOfCollaborators} collaborators uploaded versions {versions}",
  "boxui.activityFeed.versionRestored": "{name} restored version {versionNumber}",
  "boxui.activityFeed.versionTooManyVersions": "Multiple versions of this file",
  "boxui.activityFeed.versionUploadCollapsed": "{name} uploaded versions {versions}",
  "boxui.activityFeed.versionUploaded": "{name} uploaded version {versionNumber}",
  "boxui.badges.beta": "BETA",
  "boxui.badges.upgrade": "UPGRADE",
  "boxui.base.nextMonth": "Next Month",
  "boxui.base.previousMonth": "Previous Month",
  "boxui.checkboxTooltip.iconInfoText": "Info",
  "boxui.classification.addClassification": "Add Classification",
  "boxui.classification.classification": "Classification",
  "boxui.classification.edit": "Edit",
  "boxui.contentExplorer.bookmark": "Bookmark",
  "boxui.contentExplorer.breadcrumb": "Breadcrumb",
  "boxui.contentExplorer.cancel": "Cancel",
  "boxui.contentExplorer.choose": "Choose",
  "boxui.contentExplorer.clickToGoBack": "Click to go back",
  "boxui.contentExplorer.collaboratedFolder": "Collaborated Folder",
  "boxui.contentExplorer.copy": "Copy",
  "boxui.contentExplorer.emptyFolder": "There are no subfolders in this folder.",
  "boxui.contentExplorer.emptySearch": "Sorry, we couldn't find what you're looking for.",
  "boxui.contentExplorer.externalFolder": "External Folder",
  "boxui.contentExplorer.file": "File",
  "boxui.contentExplorer.move": "Move",
  "boxui.contentExplorer.name": "Name",
  "boxui.contentExplorer.newFolder": "New Folder",
  "boxui.contentExplorer.numSelected": "{numSelected} Selected",
  "boxui.contentExplorer.personalFolder": "Personal Folder",
  "boxui.contentExplorer.searchPlaceholder": "Search",
  "boxui.contentExplorer.searchResults": "Search Results",
  "boxui.contentExplorer.selectItem": "Select {name}",
  "boxui.contentexplorer.newFolder.forbidden": "You do not have permission to create a folder here.",
  "boxui.core.cancel": "Cancel",
  "boxui.core.close": "Close",
  "boxui.core.copied": "Copied",
  "boxui.core.copy": "Copy",
  "boxui.core.done": "Done",
  "boxui.core.hotkeys.altKey": "Alt",
  "boxui.core.hotkeys.ctrlKey": "Ctrl",
  "boxui.core.hotkeys.enterKey": "Enter",
  "boxui.core.hotkeys.escKey": "Esc",
  "boxui.core.hotkeys.hotkeyModalTitle": "Keyboard Shortcuts",
  "boxui.core.hotkeys.hotkeySequence": "{key1} then {key2}",
  "boxui.core.hotkeys.shiftKey": "Shift",
  "boxui.core.hotkeys.spacebarKey": "Spacebar",
  "boxui.core.okay": "Okay",
  "boxui.core.optional": "optional",
  "boxui.core.save": "Save",
  "boxui.core.selection.deselectAllDescription": "Deselect all items",
  "boxui.core.selection.downDescription": "Select next item",
  "boxui.core.selection.selectAllDescription": "Select all items",
  "boxui.core.selection.shiftDownDescription": "Add next item to current selection",
  "boxui.core.selection.shiftUpDescription": "Add previous item to current selection",
  "boxui.core.selection.shiftXDescription": "Select current item",
  "boxui.core.selection.upDescription": "Select previous item",
  "boxui.core.send": "Send",
  "boxui.datePicker.chooseDate": "Choose Date",
  "boxui.datePicker.dateClearButton": "Clear Date",
  "boxui.datePicker.iconAlertText": "Invalid Date",
  "boxui.draftjs.mentionSelector.startMention": "Mention someone to notify them",
  "boxui.errorMask.iconSadCloudText": "Sad Box Cloud",
  "boxui.itemDetails.bookmarkExpiration": "This bookmark will be deleted on {expiration}.",
  "boxui.itemDetails.created": "Created",
  "boxui.itemDetails.deleted": "Deleted",
  "boxui.itemDetails.description": "Description",
  "boxui.itemDetails.descriptionPlaceholder": "Enter a description",
  "boxui.itemDetails.enterpriseOwner": "Enterprise Owner",
  "boxui.itemDetails.fileExpiration": "This file will be deleted on {expiration}.",
  "boxui.itemDetails.folderExpiration": "This folder will be deleted on {expiration}.",
  "boxui.itemDetails.modified": "Modified",
  "boxui.itemDetails.owner": "Owner",
  "boxui.itemDetails.retentionPolicyDescription": "Policy",
  "boxui.itemDetails.retentionPolicyExpiration": "Policy Expiration",
  "boxui.itemDetails.retentionPolicyExtend": "Extend",
  "boxui.itemDetails.savedVersions": "{versionCount, number} Saved Versions",
  "boxui.itemDetails.sharedLinkExpiration": "This shared link will be disabled on {expiration}.",
  "boxui.itemDetails.size": "Size",
  "boxui.itemDetails.uploader": "Uploader",
  "boxui.itemDetails.url": "URL",
  "boxui.itemDetails.urlPlaceholder": "Enter a valid url",
  "boxui.metadataInstanceEditor.allAttributesAreHidden": "All attributes in this template have been hidden.",
  "boxui.metadataInstanceEditor.applyCascadePolicyText": "Apply template and its values to all new and existing items in this folder and its subfolders.",
  "boxui.metadataInstanceEditor.cannotApplyCascadePolicyText": "Cascade policy cannot be applied to custom metadata at this time.",
  "boxui.metadataInstanceEditor.cascadePolicyLearnMore": "Learn more",
  "boxui.metadataInstanceEditor.cascadePolicyModeQuestion": "In the case of conflicts when applying this template and its values to existing items, what would you like to do?",
  "boxui.metadataInstanceEditor.cascadePolicyOverwriteMode": "Overwrite all existing template values",
  "boxui.metadataInstanceEditor.cascadePolicySkipMode": "Skip and keep all existing template values",
  "boxui.metadataInstanceEditor.customAdd": "Add",
  "boxui.metadataInstanceEditor.customErrorDuplicateKey": "A field with that key already exists.",
  "boxui.metadataInstanceEditor.customErrorInternalKey": "Keys cannot begin with a $.",
  "boxui.metadataInstanceEditor.customErrorRequired": "A key is required.",
  "boxui.metadataInstanceEditor.customKey": "Key",
  "boxui.metadataInstanceEditor.customKeyPlaceholder": "e.g. Order Number",
  "boxui.metadataInstanceEditor.customNewField": "New Field",
  "boxui.metadataInstanceEditor.customNewFieldMessage": "Add a custom metadata field. Other people will be able to see and search for this field.",
  "boxui.metadataInstanceEditor.customRemove": "Remove",
  "boxui.metadataInstanceEditor.customTitle": "Custom Metadata",
  "boxui.metadataInstanceEditor.customValue": "Value",
  "boxui.metadataInstanceEditor.customValuePlaceholder": "e.g. 42",
  "boxui.metadataInstanceEditor.editTooltip": "Edit Metadata",
  "boxui.metadataInstanceEditor.enableCascadePolicy": "Enable cascade policy",
  "boxui.metadataInstanceEditor.fieldMultiSelectValue": "Select Values",
  "boxui.metadataInstanceEditor.fieldNoValue": "No Value",
  "boxui.metadataInstanceEditor.fieldSelectValue": "Select Value",
  "boxui.metadataInstanceEditor.fieldSetDate": "Set Date",
  "boxui.metadataInstanceEditor.fieldSetValue": "Set Value",
  "boxui.metadataInstanceEditor.fileMetadataRemoveCustomTemplateConfirm": "Are you sure you want to delete this custom metadata and all of its values from this file?",
  "boxui.metadataInstanceEditor.fileMetadataRemoveTemplateConfirm": "Are you sure you want to delete \"{metadataName}\" and all of its values from this file?",
  "boxui.metadataInstanceEditor.folderMetadataRemoveCustomTemplateConfirm": "Are you sure you want to delete this custom metadata and all of its values? Any metadata template values already applied to files in this folder will not be deleted.",
  "boxui.metadataInstanceEditor.folderMetadataRemoveTemplateConfirm": "Are you sure you want to delete \"{metadataName}\" and all of its values? Any metadata template values already applied to files in this folder will not be deleted.",
  "boxui.metadataInstanceEditor.invalidMetadataFieldType": "Invalid metadata field type!",
  "boxui.metadataInstanceEditor.invalidValue": "Invalid Input!",
  "boxui.metadataInstanceEditor.metadataCancel": "Cancel",
  "boxui.metadataInstanceEditor.metadataCascadePolicyEnabledInfo": "This template and its values are being cascaded to all items in this folder and its subfolders.",
  "boxui.metadataInstanceEditor.metadataSave": "Save",
  "boxui.metadataInstanceEditor.noAttributesForTemplate": "There are no attributes in this template.",
  "boxui.metadataInstanceEditor.noMetadata": "No Metadata Applied",
  "boxui.metadataInstanceEditor.noMetadataAddTemplate": "Click 'Add' in the top right to add metadata to this item",
  "boxui.metadataInstanceEditor.removeTemplate": "Remove",
  "boxui.metadataInstanceEditor.templateAdd": "Add",
  "boxui.metadataInstanceEditor.templateSearchPlaceholder": "Search all templates",
  "boxui.metadataInstanceEditor.templatesFetchFailed": "Sorry! We could not fetch templates. Please contact your administrator",
  "boxui.metadataInstanceEditor.templatesNoRemainingTemplates": "All templates have been added",
  "boxui.metadataInstanceEditor.templatesNoResults": "No Results",
  "boxui.metadataInstanceEditor.templatesServerHasNoTemplates": "Zero templates",
  "boxui.metadataInstanceEditor.templatesTitle": "Templates",
  "boxui.metadataView.needRefiningHeaderText": "Too many results",
  "boxui.metadataView.needRefiningSubtitleText": "Please use filters to refine your results.",
  "boxui.metadataView.noResultsForQueryHeaderText": "No results",
  "boxui.metadataView.noResultsForQuerySubtitleText": "You do not have access to any files that match your query. Please use filters to modify your query.",
  "boxui.metadataView.noResultsForTemplateHeaderText": "No results",
  "boxui.metadataView.noResultsForTemplateSubtitleText": "You do not have access to any files that match this template.",
  "boxui.metadataView.tooManyResultsHeaderText": "Over {upperFileLimit} files match this template",
  "boxui.metadataView.tooManyResultsSubtitleText": "Result sets of this size are not currently supported in Box.",
  "boxui.modalDialog.closeModalText": "Close Modal",
  "boxui.newFolderModal.cancel": "Cancel",
  "boxui.newFolderModal.create": "Create",
  "boxui.newFolderModal.folderName.label": "Folder Name",
  "boxui.newFolderModal.folderName.placeholder": "My New Folder",
  "boxui.newFolderModal.title": "Create a New Folder in \"{parentFolderName}\"",
  "boxui.notification.clearNotification": "Clear Notification",
  "boxui.pillSelector.iconAlertText": "Input Error",
  "boxui.presence.accessedInTheLastMinute": "Viewed less than a minute ago",
  "boxui.presence.activeNow": "Active now",
  "boxui.presence.commentedIntheLastMinute": "Commented less than a minute ago",
  "boxui.presence.getLinkButton": "Get Link",
  "boxui.presence.inviteButton": "Invite People",
  "boxui.presence.modifiedIntheLastMinute": "Edited less than a minute ago",
  "boxui.presence.previewPresenceFlyoutAccessStatsLink": "See all activity",
  "boxui.presence.previewPresenceFlyoutActivityCTA": "View Recent Activity",
  "boxui.presence.previewPresenceFlyoutCopy": "Quickly see who has commented on, edited, or viewed this file.",
  "boxui.presence.previewedIntheLastMinute": "Previewed less than a minute ago",
  "boxui.presence.recentActivity": "Recent Activity",
  "boxui.presence.timeSinceLastAccessed": "Viewed {timeAgo}",
  "boxui.presence.timeSinceLastCommented": "Commented {timeAgo}",
  "boxui.presence.timeSinceLastModified": "Edited {timeAgo}",
  "boxui.presence.timeSinceLastPreviewed": "Previewed {timeAgo}",
  "boxui.queryBar.addFilterButtonText": "+ Add Filter",
  "boxui.queryBar.applyFiltersButtonText": "Apply",
  "boxui.queryBar.columnsButtonText": "Columns",
  "boxui.queryBar.columnsHiddenButtonText": "{number} Columns Hidden",
  "boxui.queryBar.filtersButtonText": "Modify Filters",
  "boxui.queryBar.metadataViewTemplateListHeaderTitle": "METADATA TEMPLATES",
  "boxui.queryBar.multipleFiltersButtonText": "{number} Filters",
  "boxui.queryBar.noFiltersAppliedText": "No Filters Applied",
  "boxui.queryBar.operatorDropdownText": "is",
  "boxui.queryBar.prefixButtonText": "WHERE",
  "boxui.queryBar.selectAttributeDropdownText": "Select attribute",
  "boxui.queryBar.selectAttributePlaceholderText": "Select attribute",
  "boxui.queryBar.selectValueDropdownText": "Select value",
  "boxui.queryBar.selectValuePlaceholderText": "Select value",
  "boxui.queryBar.templatesButtonText": "Select Metadata",
  "boxui.queryBar.templatesLoadingButtonText": "Template Name",
  "boxui.queryBar.tooltipSelectDateError": "Please Select a Date",
  "boxui.queryBar.tooltipSelectValueError": "Please Select a Value",
  "boxui.quickSearch.bookmark": "Bookmark",
  "boxui.quickSearch.collaboratedFolder": "Collaborated Folder",
  "boxui.quickSearch.externalFolder": "External Folder",
  "boxui.quickSearch.file": "File",
  "boxui.quickSearch.parentFolder": "Parent Folder",
  "boxui.quickSearch.personalFolder": "Personal Folder",
  "boxui.quickSearch.updatedText": "{date, date, medium} by {user}",
  "boxui.quickSearch.updatedTextToday": "Today by {user}",
  "boxui.quickSearch.updatedTextYesterday": "Yesterday by {user}",
  "boxui.readableTime.eventTime": "{time, date, medium}",
  "boxui.readableTime.eventTimeDate": "{time, date, medium} at {time, time, short}",
  "boxui.readableTime.eventTimeDateShort": "{date} at {time, time, short}",
  "boxui.readableTime.eventTimeToday": "Today at {time, time, short}",
  "boxui.readableTime.eventTimeYesterday": "Yesterday at {time, time, short}",
  "boxui.searchForm.clearButtonTitle": "Clear",
  "boxui.searchForm.searchButtonTitle": "Search",
  "boxui.searchForm.searchLabel": "Search query",
  "boxui.searchMetadata.apply": "Apply",
  "boxui.searchMetadata.fromDateInputLabel": "From",
  "boxui.searchMetadata.fromNumericInputLabel": "From",
  "boxui.searchMetadata.invalidFloatRangeError": "Invalid float range",
  "boxui.searchMetadata.invalidFloatValueError": "Invalid float value",
  "boxui.searchMetadata.invalidIntegerRangeError": "Invalid integer range",
  "boxui.searchMetadata.invalidIntegerValueError": "Invalid integer value",
  "boxui.searchMetadata.metadata": "Metadata",
  "boxui.searchMetadata.metadataTemplate": "Metadata Template",
  "boxui.searchMetadata.numFiltersSet": "{numFiltersSet} Metadata Filter(s) Set",
  "boxui.searchMetadata.reset": "Reset",
  "boxui.searchMetadata.selectATemplate": "Select a Template",
  "boxui.searchMetadata.selectTemplate": "Select a Template to Get Started",
  "boxui.searchMetadata.selectValueSelectPlaceholder": "Select Value",
  "boxui.searchMetadata.setDateInputPlaceholder": "Set Date",
  "boxui.searchMetadata.setValueInputPlaceholder": "Set Value",
  "boxui.searchMetadata.toDateInputLabel": "To",
  "boxui.searchMetadata.toNumericInputLabel": "To",
  "boxui.securityCloudGame.instructions": "For security purposes, please drag the white cloud into the dark cloud.",
  "boxui.securityCloudGame.success": "Success!",
  "boxui.selectMultiPrimitive.iconCheckText": "Checked",
  "boxui.share.accessType": "ACCESS TYPE",
  "boxui.share.canEdit": "Can edit",
  "boxui.share.canView": "Can view",
  "boxui.share.coownerLevelText": "Co-owner",
  "boxui.share.deleteTableHeaderText": "Delete",
  "boxui.share.downloadTableHeaderText": "Download",
  "boxui.share.editTableHeaderText": "Edit",
  "boxui.share.editorLevelText": "Editor",
  "boxui.share.emailSharedLink": "Email Shared Link",
  "boxui.share.enterAtLeastOneEmail": "Enter at least one valid email",
  "boxui.share.getLinkTableHeaderText": "Get Link",
  "boxui.share.groupLabel": "Group",
  "boxui.share.inviteCollaboratorsModalCancelButton": "Cancel",
  "boxui.share.inviteCollaboratorsModalSendInvites": "Send Invites",
  "boxui.share.inviteCollaboratorsModalTitle": "Invite to {itemName}",
  "boxui.share.inviteFieldLabel": "Invite",
  "boxui.share.inviteFileEditorsLabel": "Invite people to become editors of this file.",
  "boxui.share.inviteePermissionsFieldLabel": "Invitee Permissions",
  "boxui.share.inviteePermissionsLearnMore": "Learn More",
  "boxui.share.message": "Message",
  "boxui.share.messageSelectorPlaceholder": "Add a message",
  "boxui.share.ownerTableHeaderText": "Owner",
  "boxui.share.peopleInCompanyCanDownloadFile": "Anyone in your company with the link can view and download this file.",
  "boxui.share.peopleInCompanyCanDownloadFolder": "Anyone in your company with the link can view this folder and download its contents.",
  "boxui.share.peopleInCompanyCanEditFile": "Anyone in your company with the link can edit and download this file.",
  "boxui.share.peopleInCompanyCanViewFile": "Anyone in your company with the link can view this file.",
  "boxui.share.peopleInCompanyCanViewFolder": "Anyone in your company with the link can view this folder.",
  "boxui.share.peopleInEnterprise": "People in {enterpriseName}",
  "boxui.share.peopleInItemCanAccessFile": "Any collaborator on the file with the link can access this file.",
  "boxui.share.peopleInItemCanAccessFolder": "Any collaborator on the folder with the link can access this folder.",
  "boxui.share.peopleInItemCanDownloadFile": "Any collaborator on this file with the link can download this file.",
  "boxui.share.peopleInItemCanDownloadFolder": "Any collaborator on this folder with the link can download this folder.",
  "boxui.share.peopleInItemCanEditFile": "Any collaborator on this file with the link can edit this file and download its contents.",
  "boxui.share.peopleInItemCanPreviewAndDownloadFile": "Any collaborator on this file with the link can view this file and download its contents.",
  "boxui.share.peopleInItemCanPreviewAndDownloadFolder": "Any collaborator on this folder with the link can view this folder and download its contents.",
  "boxui.share.peopleInItemCanPreviewFile": "Any collaborator on this file with the link can view this file.",
  "boxui.share.peopleInItemCanPreviewFolder": "Any collaborator on this folder with the link can view this folder.",
  "boxui.share.peopleInSpecifiedCompanyCanDownloadFile": "Anyone in {company} with the link can view and download this file.",
  "boxui.share.peopleInSpecifiedCompanyCanDownloadFolder": "Anyone in {company} with the link can view this folder and download its contents.",
  "boxui.share.peopleInSpecifiedCompanyCanEditFile": "Anyone in {company} with the link can edit and download this file.",
  "boxui.share.peopleInSpecifiedCompanyCanViewFile": "Anyone in {company} with the link can view this file.",
  "boxui.share.peopleInSpecifiedCompanyCanViewFolder": "Anyone in {company} with the link can view this folder.",
  "boxui.share.peopleInThisFile": "People in this file",
  "boxui.share.peopleInThisFolder": "People in this folder",
  "boxui.share.peopleInYourCompany": "People in your company",
  "boxui.share.peopleWithLinkCanDownloadFile": "Anyone with the link can view and download this file.",
  "boxui.share.peopleWithLinkCanDownloadFolder": "Anyone with the link can view this folder and download its contents.",
  "boxui.share.peopleWithLinkCanEditFile": "Anyone with the link can edit and download this file.",
  "boxui.share.peopleWithLinkCanViewFile": "Anyone with the link can view this file.",
  "boxui.share.peopleWithLinkCanViewFolder": "Anyone with the link can view this folder.",
  "boxui.share.peopleWithTheLink": "People with the link",
  "boxui.share.permissionLevelsTableHeaderText": "Permission Levels",
  "boxui.share.personalMessageLabel": "Personal Message",
  "boxui.share.pillSelectorPlaceholder": "Add names or email addresses",
  "boxui.share.previewTableHeaderText": "Preview",
  "boxui.share.previewerLevelText": "Previewer",
  "boxui.share.previewerUploaderLevelText": "Previewer Uploader",
  "boxui.share.referAFriendBadgeText": "REFER",
  "boxui.share.referAFriendRewardCenterLinkText": "Click Here",
  "boxui.share.referAFriendText": "Want a free month of Box? Refer your friend!",
  "boxui.share.removeLink": "Remove Link",
  "boxui.share.removeLinkConfirmationDescription": "This will permanently remove the shared link. If this item is embedded on other sites it will also become inaccessible. Any custom properties, settings and expirations will be removed as well. Do you want to continue?",
  "boxui.share.removeLinkConfirmationTitle": "Remove Shared Link",
  "boxui.share.settingsButtonLabel": "Open shared link settings popup",
  "boxui.share.sharedLinkExpirationTooltip": "This link will expire on {expiration, date, long}",
  "boxui.share.sharedLinkLabel": "Shared Link",
  "boxui.share.sharedLinkModalTitle": "Shared Link for {itemName}",
  "boxui.share.sharedLinkSettings.allowDownloadLabel": "Allow users with the Shared Link to download this item",
  "boxui.share.sharedLinkSettings.allowDownloadTitle": "Allow Download",
  "boxui.share.sharedLinkSettings.customURLLabel": "Custom URL",
  "boxui.share.sharedLinkSettings.directLinkLabel": "Direct Link",
  "boxui.share.sharedLinkSettings.expirationLabel": "Disable Shared Link on",
  "boxui.share.sharedLinkSettings.expirationTitle": "Link Expiration",
  "boxui.share.sharedLinkSettings.inaccessibleSettingsNotice": "Certain settings may not be available for this item due to permissions.",
  "boxui.share.sharedLinkSettings.modalTitle": "Shared Link Settings",
  "boxui.share.sharedLinkSettings.passwordLabel": "Require password",
  "boxui.share.sharedLinkSettings.passwordPlaceholder": "Enter a password",
  "boxui.share.sharedLinkSettings.passwordTitle": "Password Protect",
  "boxui.share.sharedLinkSettings.vanityNameNotSet": "The custom URL has not been set",
  "boxui.share.sharedLinkSettings.vanityNamePlaceholder": "Enter a custom path",
  "boxui.share.upgradeGetMoreAccessControls": "Get More Access Controls",
  "boxui.share.uploadTableHeaderText": "Upload",
  "boxui.share.uploaderLevelText": "Uploader",
  "boxui.share.viewerLevelText": "Viewer",
  "boxui.share.viewerUploaderLevelText": "Viewer Uploader",
  "boxui.shareMenu.downloadOnly": "Download Only",
  "boxui.shareMenu.editAndComment": "Edit and Comment",
  "boxui.shareMenu.getSharedLink": "Get Shared Link",
  "boxui.shareMenu.insufficientPermissionsMenuOption": "Insufficient sharing permissions. Please contact the folder owner.",
  "boxui.shareMenu.insufficientPermissionsTooltip": "You have insufficient permissions to invite collaborators.",
  "boxui.shareMenu.inviteCollabs": "Invite Collaborators",
  "boxui.shareMenu.ownerCoownerOnlyTooltip": "You have insufficient permissions to invite collaborators. Only the owner and co-owners can invite collaborators.",
  "boxui.shareMenu.shortcutOnly": "Shortcut Only",
  "boxui.shareMenu.viewAndDownload": "View and Download",
  "boxui.shareMenu.viewOnly": "View Only",
  "boxui.table.ascendingSortArrow": "Ascending sort arrow",
  "boxui.table.descendingSortArrow": "Descending sort arrow",
  "boxui.unifiedShare.betaFeedbackCtaCopy": "Click to provide feedback on this simplified sharing beta experience.",
  "boxui.unifiedShare.collaboration.groupCollabText": "Group",
  "boxui.unifiedShare.collaboration.pendingCollabText": "Pending",
  "boxui.unifiedShare.collaboration.userCollabText": "User",
  "boxui.unifiedShare.collaboratorAvatarsLabel": "Shared with",
  "boxui.unifiedShare.collaboratorListTitle": "People in '{itemName}'",
  "boxui.unifiedShare.collaborators.expirationTooltipClickableText": "Access expires on {date}. Click for details.",
  "boxui.unifiedShare.collaborators.expirationTooltipText": "Access expires on {date}",
  "boxui.unifiedShare.collaborators.externalCollabTooltipText": "{email} is from outside of your company",
  "boxui.unifiedShare.coownerLevelButtonLabel": "Invite as Co-owner",
  "boxui.unifiedShare.coownerLevelDescription": "Manage security, upload, download, preview, share, edit, and delete",
  "boxui.unifiedShare.coownerLevelText": "Co-owner",
  "boxui.unifiedShare.disabledShareLinkPermission": "This option isn’t available for this item due to a security restriction or classification.",
  "boxui.unifiedShare.editorLevelButtonLabel": "Invite as Editor",
  "boxui.unifiedShare.editorLevelDescription": "Upload, download, preview, share, edit, and delete",
  "boxui.unifiedShare.editorLevelFileDescription": "Upload, download, preview, share, and edit",
  "boxui.unifiedShare.editorLevelText": "Editor",
  "boxui.unifiedShare.emailModalTitle": "Send Link to '{itemName}'",
  "boxui.unifiedShare.enterAtLeastOneEmail": "Enter at least one valid email",
  "boxui.unifiedShare.enterEmailAddressesCalloutText": "Share this item with coworkers by entering their email addresses",
  "boxui.unifiedShare.ftuxConfirmLabel": "Got it",
  "boxui.unifiedShare.ftuxNewUSMUserBody": "We've simplified the sharing experience when you click 'Share'. Invite people to this item here and toggle the link on or off below for easy sharing.",
  "boxui.unifiedShare.ftuxNewUsmUserTitle": "Simplified sharing for files and folders",
  "boxui.unifiedShare.groupLabel": "Group",
  "boxui.unifiedShare.inviteDisabledTooltip": "You do not have permission to invite collaborators.",
  "boxui.unifiedShare.inviteDisabledWeblinkTooltip": "Collaborators cannot be added to bookmarks.",
  "boxui.unifiedShare.inviteFieldLabel": "Invite People",
  "boxui.unifiedShare.linkShareOff": "Link sharing is off",
  "boxui.unifiedShare.linkShareOn": "Link sharing is on",
  "boxui.unifiedShare.manageAllLinkText": "Manage All",
  "boxui.unifiedShare.message": "Message",
  "boxui.unifiedShare.modalTitle": "Share '{itemName}'",
  "boxui.unifiedShare.peopleInCompanyCanAccessFile": "Anyone in your company with the link or people invited to this file can access",
  "boxui.unifiedShare.peopleInCompanyCanAccessFolder": "Anyone in your company with the link or people invited to this folder can access",
  "boxui.unifiedShare.peopleInEnterpriseName": "People in {enterpriseName}",
  "boxui.unifiedShare.peopleInItemCanAccessFile": "Only invited people can access this file",
  "boxui.unifiedShare.peopleInItemCanAccessFolder": "Only invited people can access this folder",
  "boxui.unifiedShare.peopleInSpecifiedCompanyCanAccessFile": "Anyone at {company} with the link or people invited to this file can access",
  "boxui.unifiedShare.peopleInSpecifiedCompanyCanAccessFolder": "Anyone at {company} with the link or people invited to this folder can access",
  "boxui.unifiedShare.peopleInThisFile": "Invited people only",
  "boxui.unifiedShare.peopleInThisFolder": "Invited people only",
  "boxui.unifiedShare.peopleInYourCompany": "People in your company",
  "boxui.unifiedShare.peopleWithLinkDescription": "Anyone with the link can access; no sign-in required",
  "boxui.unifiedShare.peopleWithTheLinkText": "People with the link",
  "boxui.unifiedShare.previewerLevelButtonLabel": "Invite as Previewer",
  "boxui.unifiedShare.previewerLevelDescription": "Preview only",
  "boxui.unifiedShare.previewerLevelText": "Previewer",
  "boxui.unifiedShare.previewerUploaderLevelButtonLabel": "Invite as Previewer Uploader",
  "boxui.unifiedShare.previewerUploaderLevelDescription": "Upload and preview",
  "boxui.unifiedShare.previewerUploaderLevelText": "Previewer Uploader",
  "boxui.unifiedShare.removeLinkConfirmationDescription": "This will permanently remove the shared link. If this item is embedded on other sites it will also become inaccessible. Any custom properties, settings and expirations will be removed as well. Do you want to continue?",
  "boxui.unifiedShare.removeLinkConfirmationTitle": "Remove Shared Link",
  "boxui.unifiedShare.removeLinkTooltip": "You do not have permission to remove the link.",
  "boxui.unifiedShare.sendSharedLink": "Send Shared Link",
  "boxui.unifiedShare.sendSharedLinkFieldLabel": "Email Shared Link",
  "boxui.unifiedShare.settingsButtonLabel": "Open shared link settings popup",
  "boxui.unifiedShare.sharedLinkDisabledTooltipCopy": "Create and copy link for sharing",
  "boxui.unifiedShare.sharedLinkExpirationTooltip": "This link will expire and be inaccessible on {expiration, date, long}.",
  "boxui.unifiedShare.sharedLinkPermissionsViewDownload": "Can view and download",
  "boxui.unifiedShare.sharedLinkPermissionsViewDownloadDescription": "Users can view and download",
  "boxui.unifiedShare.sharedLinkPermissionsViewOnly": "Can view only",
  "boxui.unifiedShare.sharedLinkPermissionsViewOnlyDescription": "Users can view only",
  "boxui.unifiedShare.sharedLinkSectionLabel": "Share Link",
  "boxui.unifiedShare.sharedLinkSettings": "Link Settings",
  "boxui.unifiedShare.sharedLinkSettingsCalloutText": "Create a custom URL, enable password protection, enable link expiration, and much more",
  "boxui.unifiedShare.upgradeGetMoreAccessControlsDescription": "62% of customers on your plan {upgradeGetMoreAccessControlsLink} to manage collaborators' access and permission settings",
  "boxui.unifiedShare.upgradeGetMoreAccessControlsLink": "upgrade",
  "boxui.unifiedShare.uploaderLevelButtonLabel": "Invite as Uploader",
  "boxui.unifiedShare.uploaderLevelDescription": "Upload only",
  "boxui.unifiedShare.uploaderLevelText": "Uploader",
  "boxui.unifiedShare.viewAdditionalPeopleText": "View additional people",
  "boxui.unifiedShare.viewerLevelButtonLabel": "Invite as Viewer",
  "boxui.unifiedShare.viewerLevelDescription": "Download, preview, and share",
  "boxui.unifiedShare.viewerLevelText": "Viewer",
  "boxui.unifiedShare.viewerUploaderLevelButtonLabel": "Invite as Viewer Uploader",
  "boxui.unifiedShare.viewerUploaderLevelDescription": "Upload, download, preview, share, and edit",
  "boxui.unifiedShare.viewerUploaderLevelText": "Viewer Uploader",
  "boxui.validation.URLError": "Invalid URL",
  "boxui.validation.emailError": "Invalid Email Address",
  "boxui.validation.genericError": "Invalid Input",
  "boxui.validation.requiredError": "Required Field",
  "boxui.validation.tooLongError": "Input cannot exceed {max} characters",
  "boxui.validation.tooShortError": "Input must be at least {min} characters",
  "boxui.versionHistoryModal.current": "current",
  "boxui.versionHistoryModal.currentVersionLabel": "This is the current version of the file",
  "boxui.versionHistoryModal.deletedByInfo": "Removed on {deleted, date, full} by {deleterUserName}.",
  "boxui.versionHistoryModal.deletedPermanentlyByInfo": "Removed on {deleted, date, full} by {deleterUserName}. Per your company settings, this version will be removed permanently on {deletedPermanentlyBy, date, full}.",
  "boxui.versionHistoryModal.download": "Download",
  "boxui.versionHistoryModal.makeCurrent": "Make Current",
  "boxui.versionHistoryModal.remove": "Remove",
  "boxui.versionHistoryModal.restore": "Restore",
  "boxui.versionHistoryModal.restoredByInfo": "Restored on {restored, date, full} by {restorerUserName}.",
  "boxui.versionHistoryModal.restoredFromPreviousVersionInfo": "Restored on {restored, date, full} from a previous version by {restorerUserName}.",
  "boxui.versionHistoryModal.restoredFromVersionInfo": "Restored on {restored, date, full} from V{versionNumber} by {restorerUserName}.",
  "boxui.versionHistoryModal.retainedAndDeletedOn": "Will be deleted {dispositionDate, date, full} by retention policy.",
  "boxui.versionHistoryModal.retainedIndefinitely": "Retained indefinitely by retention policy.",
  "boxui.versionHistoryModal.retainedUntil": "Retained until {dispositionDate, date, full} by retention policy.",
  "boxui.versionHistoryModal.title": "Version History",
  "boxui.versionHistoryModal.uploadedInfo": "Uploaded on {uploaded, date, full} at {uploaded, time, short} by {uploaderUserName}.",
  "boxui.versionHistoryModal.versionLimitExceeded": "You can restore the most recent {versionLimit} versions of any file.",
  "boxui.versionHistoryModal.versionNumberBadge": "V{versionNumber}",
  "boxui.versionHistoryModal.versionNumberLabel": "Version number {versionNumber}"
}