import { defineMessages } from 'react-intl';

var messages = defineMessages({
    cancel: {
        'id': 'boxui.core.cancel',
        'defaultMessage': 'Cancel'
    },
    close: {
        'id': 'boxui.core.close',
        'defaultMessage': 'Close'
    },
    copy: {
        'id': 'boxui.core.copy',
        'defaultMessage': 'Copy'
    },
    copied: {
        'id': 'boxui.core.copied',
        'defaultMessage': 'Copied'
    },
    done: {
        'id': 'boxui.core.done',
        'defaultMessage': 'Done'
    },
    okay: {
        'id': 'boxui.core.okay',
        'defaultMessage': 'Okay'
    },
    save: {
        'id': 'boxui.core.save',
        'defaultMessage': 'Save'
    },
    send: {
        'id': 'boxui.core.send',
        'defaultMessage': 'Send'
    },
    optional: {
        'id': 'boxui.core.optional',
        'defaultMessage': 'optional'
    },
    pillSelectorPlaceholder: {
        'id': 'boxui.share.pillSelectorPlaceholder',
        'defaultMessage': 'Add names or email addresses'
    },
    messageSelectorPlaceholder: {
        'id': 'boxui.share.messageSelectorPlaceholder',
        'defaultMessage': 'Add a message'
    },
    invalidInputError: {
        'id': 'boxui.validation.genericError',
        'defaultMessage': 'Invalid Input'
    },
    minLengthError: {
        'id': 'boxui.validation.tooShortError',
        'defaultMessage': 'Input must be at least {min} characters'
    },
    maxLengthError: {
        'id': 'boxui.validation.tooLongError',
        'defaultMessage': 'Input cannot exceed {max} characters'
    },
    invalidEmailError: {
        'id': 'boxui.validation.emailError',
        'defaultMessage': 'Invalid Email Address'
    },
    invalidURLError: {
        'id': 'boxui.validation.URLError',
        'defaultMessage': 'Invalid URL'
    },
    requiredFieldError: {
        'id': 'boxui.validation.requiredError',
        'defaultMessage': 'Required Field'
    }
});

export default messages;