var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';

import './Fieldset.scss';

var Fieldset = function Fieldset(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        title = _ref.title,
        rest = _objectWithoutProperties(_ref, ['children', 'className', 'title']);

    return React.createElement(
        'fieldset',
        _extends({ className: 'fieldset ' + className }, rest),
        React.createElement(
            'legend',
            { className: 'label' },
            title
        ),
        children
    );
};

Fieldset.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    title: PropTypes.node.isRequired
};
export default Fieldset;
import PropTypes from 'prop-types';