var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';

import HotkeyLayer from './HotkeyLayer';
import { Modal } from '../modal';

var HotkeyFriendlyModal = function HotkeyFriendlyModal(_ref) {
    var isOpen = _ref.isOpen,
        rest = _objectWithoutProperties(_ref, ['isOpen']);

    if (!isOpen) {
        return null;
    }

    return React.createElement(
        HotkeyLayer,
        null,
        React.createElement(Modal, _extends({ isOpen: true }, rest))
    );
};

HotkeyFriendlyModal.propTypes = {
    children: PropTypes.node.isRequired,
    isOpen: PropTypes.bool
};
export default HotkeyFriendlyModal;
import PropTypes from 'prop-types';