var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';

var LabelPrimitive = function LabelPrimitive(_ref) {
    var children = _ref.children,
        className = _ref.className,
        labelContent = _ref.labelContent,
        rest = _objectWithoutProperties(_ref, ['children', 'className', 'labelContent']);

    return React.createElement(
        'label',
        null,
        React.createElement(
            'span',
            _extends({ className: classNames('label', className) }, rest),
            labelContent
        ),
        children
    );
};

LabelPrimitive.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    labelContent: PropTypes.node.isRequired
};
export default LabelPrimitive;
import PropTypes from 'prop-types';