var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';

import Button from '../button';

var PrimaryButton = function PrimaryButton(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        isDisabled = _ref.isDisabled,
        isSelected = _ref.isSelected,
        isLoading = _ref.isLoading,
        rest = _objectWithoutProperties(_ref, ['children', 'className', 'isDisabled', 'isSelected', 'isLoading']);

    return React.createElement(
        Button,
        _extends({
            className: 'btn-primary ' + className,
            isDisabled: isDisabled,
            isSelected: isSelected,
            isLoading: isLoading
        }, rest),
        children
    );
};

PrimaryButton.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    isDisabled: PropTypes.bool,
    isSelected: PropTypes.bool,
    isLoading: PropTypes.bool
};
export default PrimaryButton;
import PropTypes from 'prop-types';