import React from 'react';

import './ProgressBar.scss';

var ProgressBar = function ProgressBar(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$progress = _ref.progress,
        progress = _ref$progress === undefined ? 0 : _ref$progress;

    var style = {
        width: progress + '%'
    };

    return React.createElement(
        'div',
        { className: 'progress-bar-container' },
        React.createElement('div', { className: 'progress-bar ' + className, style: style })
    );
};

ProgressBar.propTypes = {
    className: PropTypes.string,

    /** A number between 0 and 100 inclusive representing the width percentage */
    progress: PropTypes.number
};
export default ProgressBar;
import PropTypes from 'prop-types';