var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';

var Table = function Table(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$isCompact = _ref.isCompact,
        isCompact = _ref$isCompact === undefined ? false : _ref$isCompact,
        rest = _objectWithoutProperties(_ref, ['children', 'className', 'isCompact']);

    return React.createElement(
        'table',
        _extends({
            className: classNames('table', className, {
                'is-compact': isCompact
            })
        }, rest),
        children
    );
};

Table.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    isCompact: PropTypes.bool
};
export default Table;
import PropTypes from 'prop-types';