var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';

import ThumbnailCardDetails from './ThumbnailCardDetails';
import ThumbnailCardThumbnail from './ThumbnailCardThumbnail';

import './ThumbnailCard.scss';

var ThumbnailCard = function ThumbnailCard(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        icon = _ref.icon,
        subtitle = _ref.subtitle,
        title = _ref.title,
        thumbnail = _ref.thumbnail,
        rest = _objectWithoutProperties(_ref, ['className', 'icon', 'subtitle', 'title', 'thumbnail']);

    return React.createElement(
        'div',
        _extends({ className: 'thumbnail-card ' + className }, rest),
        React.createElement(ThumbnailCardThumbnail, { thumbnail: thumbnail }),
        React.createElement(ThumbnailCardDetails, { icon: icon, subtitle: subtitle, title: title })
    );
};

ThumbnailCard.propTypes = {
    className: PropTypes.string,
    icon: PropTypes.node,
    subtitle: PropTypes.node,
    title: PropTypes.node.isRequired,
    thumbnail: PropTypes.node.isRequired
};
export default ThumbnailCard;
import PropTypes from 'prop-types';