import * as React from 'react';

var ThumbnailCardDetails = function ThumbnailCardDetails(_ref) {
    var icon = _ref.icon,
        subtitle = _ref.subtitle,
        title = _ref.title;
    return React.createElement(
        "div",
        { className: "thumbnail-card-details" },
        icon,
        React.createElement(
            "div",
            { className: "thumbnail-card-details-content" },
            React.createElement(
                "div",
                { className: "thumbnail-card-title" },
                title
            ),
            subtitle && React.createElement(
                "div",
                { className: "thumbnail-card-subtitle" },
                subtitle
            )
        )
    );
};

ThumbnailCardDetails.propTypes = {
    icon: PropTypes.node,
    subtitle: PropTypes.node,
    title: PropTypes.node.isRequired
};
export default ThumbnailCardDetails;
import PropTypes from "prop-types";