### Examples
```js
const FileIcon = require('box-react-ui/lib/icons/file-icon').default;
const Overlay = require('box-react-ui/lib/deprecated/overlay').Overlay;
const Button = require('box-react-ui/lib/components/button').default;
const PrimaryButton = require('box-react-ui/lib/components/primary-button').default;

<div>
    <Overlay isVisible>
        <div className="icon-menu-container">
            <FileIcon extension="3ds" />
            <FileIcon extension="cpp" />
            <FileIcon extension="sql" />
            <FileIcon extension="eps" />
            <FileIcon extension="dcm" />
            <FileIcon extension="sketch" />
            <FileIcon extension="ai" />
            <FileIcon extension="indd" />
            <FileIcon extension="png" />
            <FileIcon extension="txt" />
            <FileIcon extension="pdf" />
        </div>
        <hr />
        <div className="icon-menu-container">
            <Button>Cancel</Button>
            <PrimaryButton>Submit</PrimaryButton>
        </div>
    </Overlay>
    <p className="overlay-background-text">
        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam condimentum euismod
        vehicula. Cras pulvinar, lectus eu porttitor feugiat, ipsum nulla rutrum elit, et
        tempus orci sem vitae tortor. Praesent cursus ultrices massa, sit amet ullamcorper
        libero accumsan scelerisque. Pellentesque tempus, risus in suscipit venenatis, eros
        nunc tristique nulla, ut lobortis libero metus vitae risus. Sed lacinia, justo sit
        amet sodales iaculis, ipsum.
    </p>
</div>
```
