### Examples
```js
const FolderIcon = require('box-react-ui/lib/icons/folder-icon').default;
const Button = require('box-react-ui/lib/components/button').default;

<ToggleOverlay
    toggler={ <Button>View Folder Icons</Button> }
    closeOnClick
>
    <div className="icon-menu-container">
        <FolderIcon />
        <FolderIcon isCollab />
        <FolderIcon isExternal />
    </div>
    <div className="icon-menu-container">
        <FolderIcon dimension={ 64 } />
        <FolderIcon dimension={ 64 } isCollab />
        <FolderIcon dimension={ 64 } isExternal />
    </div>
    <hr />
    <div className="icon-menu-container">
        <Button>Close</Button>
    </div>
</ToggleOverlay>
```
