import PropTypes from 'prop-types';
import React from 'react';

var TableCell = function TableCell(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className;
    return React.createElement(
        'div',
        { className: 'table-cell ' + className },
        children
    );
};

TableCell.displayName = 'TableCell';

TableCell.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string
};

export default TableCell;