import { defineMessages } from 'react-intl';

var messages = defineMessages({
    bookmark: {
        'id': 'boxui.contentExplorer.bookmark',
        'defaultMessage': 'Bookmark'
    },
    breadcrumb: {
        'id': 'boxui.contentExplorer.breadcrumb',
        'defaultMessage': 'Breadcrumb'
    },
    clickToGoBack: {
        'id': 'boxui.contentExplorer.clickToGoBack',
        'defaultMessage': 'Click to go back'
    },
    collaboratedFolder: {
        'id': 'boxui.contentExplorer.collaboratedFolder',
        'defaultMessage': 'Collaborated Folder'
    },
    externalFolder: {
        'id': 'boxui.contentExplorer.externalFolder',
        'defaultMessage': 'External Folder'
    },
    file: {
        'id': 'boxui.contentExplorer.file',
        'defaultMessage': 'File'
    },
    personalFolder: {
        'id': 'boxui.contentExplorer.personalFolder',
        'defaultMessage': 'Personal Folder'
    },
    selectItem: {
        'id': 'boxui.contentExplorer.selectItem',
        'defaultMessage': 'Select {name}'
    },
    nameColumnHeader: {
        'id': 'boxui.contentExplorer.name',
        'defaultMessage': 'Name'
    },
    cancel: {
        'id': 'boxui.contentExplorer.cancel',
        'defaultMessage': 'Cancel'
    },
    choose: {
        'id': 'boxui.contentExplorer.choose',
        'defaultMessage': 'Choose'
    },
    move: {
        'id': 'boxui.contentExplorer.move',
        'defaultMessage': 'Move'
    },
    copy: {
        'id': 'boxui.contentExplorer.copy',
        'defaultMessage': 'Copy'
    },
    searchPlaceholder: {
        'id': 'boxui.contentExplorer.searchPlaceholder',
        'defaultMessage': 'Search'
    },
    searchResults: {
        'id': 'boxui.contentExplorer.searchResults',
        'defaultMessage': 'Search Results'
    },
    newFolder: {
        'id': 'boxui.contentExplorer.newFolder',
        'defaultMessage': 'New Folder'
    },
    newFolderForbidden: {
        'id': 'boxui.contentexplorer.newFolder.forbidden',
        'defaultMessage': 'You do not have permission to create a folder here.'
    },
    numSelected: {
        'id': 'boxui.contentExplorer.numSelected',
        'defaultMessage': '{numSelected} Selected'
    },
    emptySearch: {
        'id': 'boxui.contentExplorer.emptySearch',
        'defaultMessage': 'Sorry, we couldn\'t find what you\'re looking for.'
    },
    emptyFolder: {
        'id': 'boxui.contentExplorer.emptyFolder',
        'defaultMessage': 'There are no subfolders in this folder.'
    },
    newFolderModalTitle: {
        'id': 'boxui.newFolderModal.title',
        'defaultMessage': 'Create a New Folder in "{parentFolderName}"'
    },
    newFolderModalFolderNameLabel: {
        'id': 'boxui.newFolderModal.folderName.label',
        'defaultMessage': 'Folder Name'
    },
    newFolderModalFolderNamePlaceholder: {
        'id': 'boxui.newFolderModal.folderName.placeholder',
        'defaultMessage': 'My New Folder'
    },
    newFolderModalCancel: {
        'id': 'boxui.newFolderModal.cancel',
        'defaultMessage': 'Cancel'
    },
    newFolderModalCreate: {
        'id': 'boxui.newFolderModal.create',
        'defaultMessage': 'Create'
    }
});

export default messages;