import { defineMessages } from 'react-intl';

var messages = defineMessages({
    coownerLevelText: {
        'id': 'boxui.share.coownerLevelText',
        'defaultMessage': 'Co-owner'
    },
    deleteTableHeaderText: {
        'id': 'boxui.share.deleteTableHeaderText',
        'defaultMessage': 'Delete'
    },
    downloadTableHeaderText: {
        'id': 'boxui.share.downloadTableHeaderText',
        'defaultMessage': 'Download'
    },
    editorLevelText: {
        'id': 'boxui.share.editorLevelText',
        'defaultMessage': 'Editor'
    },
    editTableHeaderText: {
        'id': 'boxui.share.editTableHeaderText',
        'defaultMessage': 'Edit'
    },
    getLinkTableHeaderText: {
        'id': 'boxui.share.getLinkTableHeaderText',
        'defaultMessage': 'Get Link'
    },
    groupLabel: {
        'id': 'boxui.share.groupLabel',
        'defaultMessage': 'Group'
    },
    inviteCollaboratorsModalCancelButton: {
        'id': 'boxui.share.inviteCollaboratorsModalCancelButton',
        'defaultMessage': 'Cancel'
    },
    inviteCollaboratorsModalSendInvitesButton: {
        'id': 'boxui.share.inviteCollaboratorsModalSendInvites',
        'defaultMessage': 'Send Invites'
    },
    inviteCollaboratorsModalTitle: {
        'id': 'boxui.share.inviteCollaboratorsModalTitle',
        'defaultMessage': 'Invite to {itemName}'
    },
    inviteePermissionsFieldLabel: {
        'id': 'boxui.share.inviteePermissionsFieldLabel',
        'defaultMessage': 'Invitee Permissions'
    },
    inviteePermissionsLearnMore: {
        'id': 'boxui.share.inviteePermissionsLearnMore',
        'defaultMessage': 'Learn More'
    },
    inviteFieldLabel: {
        'id': 'boxui.share.inviteFieldLabel',
        'defaultMessage': 'Invite'
    },
    inviteFileEditorsLabel: {
        'id': 'boxui.share.inviteFileEditorsLabel',
        'defaultMessage': 'Invite people to become editors of this file.'
    },
    permissionLevelsTableHeaderText: {
        'id': 'boxui.share.permissionLevelsTableHeaderText',
        'defaultMessage': 'Permission Levels'
    },
    personalMessageLabel: {
        'id': 'boxui.share.personalMessageLabel',
        'defaultMessage': 'Personal Message'
    },
    previewTableHeaderText: {
        'id': 'boxui.share.previewTableHeaderText',
        'defaultMessage': 'Preview'
    },
    ownerTableHeaderText: {
        'id': 'boxui.share.ownerTableHeaderText',
        'defaultMessage': 'Owner'
    },
    previewerLevelText: {
        'id': 'boxui.share.previewerLevelText',
        'defaultMessage': 'Previewer'
    },
    previewerUploaderLevelText: {
        'id': 'boxui.share.previewerUploaderLevelText',
        'defaultMessage': 'Previewer Uploader'
    },
    referAFriendBadgeText: {
        'id': 'boxui.share.referAFriendBadgeText',
        'defaultMessage': 'REFER'
    },
    referAFriendText: {
        'id': 'boxui.share.referAFriendText',
        'defaultMessage': 'Want a free month of Box? Refer your friend!'
    },
    referAFriendRewardCenterLinkText: {
        'id': 'boxui.share.referAFriendRewardCenterLinkText',
        'defaultMessage': 'Click Here'
    },
    upgradeGetMoreAccessControls: {
        'id': 'boxui.share.upgradeGetMoreAccessControls',
        'defaultMessage': 'Get More Access Controls'
    },
    uploaderLevelText: {
        'id': 'boxui.share.uploaderLevelText',
        'defaultMessage': 'Uploader'
    },
    uploadTableHeaderText: {
        'id': 'boxui.share.uploadTableHeaderText',
        'defaultMessage': 'Upload'
    },
    viewerLevelText: {
        'id': 'boxui.share.viewerLevelText',
        'defaultMessage': 'Viewer'
    },
    viewerUploaderLevelText: {
        'id': 'boxui.share.viewerUploaderLevelText',
        'defaultMessage': 'Viewer Uploader'
    }
});

export default messages;