import { defineMessages } from 'react-intl';

var messages = defineMessages({
    bookmarkExpiration: {
        'id': 'boxui.itemDetails.bookmarkExpiration',
        'defaultMessage': 'This bookmark will be deleted on {expiration}.'
    },
    created: {
        'id': 'boxui.itemDetails.created',
        'defaultMessage': 'Created'
    },
    deleted: {
        'id': 'boxui.itemDetails.deleted',
        'defaultMessage': 'Deleted'
    },
    description: {
        'id': 'boxui.itemDetails.description',
        'defaultMessage': 'Description'
    },
    descriptionPlaceholder: {
        'id': 'boxui.itemDetails.descriptionPlaceholder',
        'defaultMessage': 'Enter a description'
    },
    enterpriseOwner: {
        'id': 'boxui.itemDetails.enterpriseOwner',
        'defaultMessage': 'Enterprise Owner'
    },
    fileExpiration: {
        'id': 'boxui.itemDetails.fileExpiration',
        'defaultMessage': 'This file will be deleted on {expiration}.'
    },
    folderExpiration: {
        'id': 'boxui.itemDetails.folderExpiration',
        'defaultMessage': 'This folder will be deleted on {expiration}.'
    },
    modified: {
        'id': 'boxui.itemDetails.modified',
        'defaultMessage': 'Modified'
    },
    owner: {
        'id': 'boxui.itemDetails.owner',
        'defaultMessage': 'Owner'
    },
    retentionPolicyDescription: {
        'id': 'boxui.itemDetails.retentionPolicyDescription',
        'defaultMessage': 'Policy'
    },
    retentionPolicyExpiration: {
        'id': 'boxui.itemDetails.retentionPolicyExpiration',
        'defaultMessage': 'Policy Expiration'
    },
    retentionPolicyExtend: {
        'id': 'boxui.itemDetails.retentionPolicyExtend',
        'defaultMessage': 'Extend'
    },
    savedVersions: {
        'id': 'boxui.itemDetails.savedVersions',
        'defaultMessage': '{versionCount, number} Saved Versions'
    },
    sharedLinkExpiration: {
        'id': 'boxui.itemDetails.sharedLinkExpiration',
        'defaultMessage': 'This shared link will be disabled on {expiration}.'
    },
    size: {
        'id': 'boxui.itemDetails.size',
        'defaultMessage': 'Size'
    },
    uploader: {
        'id': 'boxui.itemDetails.uploader',
        'defaultMessage': 'Uploader'
    },
    url: {
        'id': 'boxui.itemDetails.url',
        'defaultMessage': 'URL'
    },
    urlPlaceholder: {
        'id': 'boxui.itemDetails.urlPlaceholder',
        'defaultMessage': 'Enter a valid url'
    }
});

export default messages;