var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';

import LinkBase from '../../components/link/LinkBase';

import './styles/CopyrightFooter.scss';

var CopyrightLink = function CopyrightLink(props) {
    var _props$linkProps = props.linkProps,
        linkProps = _props$linkProps === undefined ? {} : _props$linkProps,
        _props$date = props.date,
        date = _props$date === undefined ? new Date() : _props$date;

    return React.createElement(
        'div',
        { className: 'copyright-footer' },
        React.createElement(
            'small',
            { className: 'copyright' },
            React.createElement(
                LinkBase,
                _extends({ href: '/about-us' }, linkProps),
                '\xA9 ',
                date.getFullYear(),
                ' Box Inc.'
            )
        )
    );
};

CopyrightLink.propTypes = {
    linkProps: PropTypes.object,
    date: function date() {
        return (typeof Date === 'function' ? PropTypes.instanceOf(Date) : PropTypes.any).apply(this, arguments);
    }
};
export default CopyrightLink;
import PropTypes from 'prop-types';