var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import * as React from 'react';

import PlainButton from '../../components/plain-button';
import IconClose from '../../icons/general/IconClose';

import './styles/RemoveButton.scss';

var RemoveButton = function RemoveButton(_ref) {
    var onClickRemove = _ref.onClickRemove,
        _ref$removeButtonHtml = _ref.removeButtonHtmlAttributes,
        removeButtonHtmlAttributes = _ref$removeButtonHtml === undefined ? {} : _ref$removeButtonHtml;
    return React.createElement(
        PlainButton,
        _extends({
            onClick: onClickRemove,
            className: 'lsb-remove-button'
        }, removeButtonHtmlAttributes),
        React.createElement(IconClose, { className: 'lsb-remove-button-icon', width: 13 })
    );
};

RemoveButton.propTypes = {
    onClickRemove: PropTypes.func.isRequired,
    removeButtonHtmlAttributes: PropTypes.object
};
export default RemoveButton;
import PropTypes from 'prop-types';