import * as React from 'react';

import AccessibleSVG from '../../../icons/accessible-svg';

var iconName = 'icon-return-to-admin-console';

var IconReturnToAdminConsole = function IconReturnToAdminConsole(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#c4c4c4' : _ref$color,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: iconName + ' ' + className,
            title: title,
            width: width,
            viewBox: '0 0 14 14'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M11.9 14H2.1C.9 14 0 13.1 0 11.9V2.1C0 .9.9 0 2.1 0h9.8c1.2 0 2.1.9 2.1 2.1v9.8c0 1.2-.9 2.1-2.1 2.1zM8.2 4.1L7.1 3 3 7l4.1 4 1.1-1.1-2.1-2.1H14V6.2H6.1l2.1-2.1z',
            fill: color
        })
    );
};

IconReturnToAdminConsole.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconReturnToAdminConsole;
import PropTypes from 'prop-types';