import * as React from 'react';

import '../styles/MetadataViewCell.scss';

var FloatCell = function FloatCell(_ref) {
    var cellData = _ref.cellData;
    var cell = cellData.cellData;

    var shouldNumberBeInNotationFormat = cell >= 10000000000;
    return React.createElement(
        'div',
        { className: 'cell-container' },
        React.createElement(
            'span',
            null,
            shouldNumberBeInNotationFormat ? Number.parseFloat(cell).toExponential(2) : cell
        )
    );
};

FloatCell.propTypes = {
    cellData: function cellData() {
        return (typeof bpfrpt_proptype_CellData === 'function' ? bpfrpt_proptype_CellData.isRequired ? bpfrpt_proptype_CellData.isRequired : bpfrpt_proptype_CellData : PropTypes.shape(bpfrpt_proptype_CellData).isRequired).apply(this, arguments);
    }
};
export default FloatCell;
import { bpfrpt_proptype_CellData } from '../../metadata-instance-editor/flowTypes.js';
import PropTypes from 'prop-types';