import { defineMessages } from 'react-intl';

var messages = defineMessages({
    needRefiningHeaderText: {
        'id': 'boxui.metadataView.needRefiningHeaderText',
        'defaultMessage': 'Too many results'
    },
    needRefiningSubtitleText: {
        'id': 'boxui.metadataView.needRefiningSubtitleText',
        'defaultMessage': 'Please use filters to refine your results.'
    },
    tooManyResultsHeaderText: {
        'id': 'boxui.metadataView.tooManyResultsHeaderText',
        'defaultMessage': 'Over {upperFileLimit} files match this template'
    },
    tooManyResultsSubtitleText: {
        'id': 'boxui.metadataView.tooManyResultsSubtitleText',
        'defaultMessage': 'Result sets of this size are not currently supported in Box.'
    },
    noResultsForQueryHeaderText: {
        'id': 'boxui.metadataView.noResultsForQueryHeaderText',
        'defaultMessage': 'No results'
    },
    noResultsForQuerySubtitleText: {
        'id': 'boxui.metadataView.noResultsForQuerySubtitleText',
        'defaultMessage': 'You do not have access to any files that match your query. Please use filters to modify your query.'
    },
    noResultsForTemplateHeaderText: {
        'id': 'boxui.metadataView.noResultsForTemplateHeaderText',
        'defaultMessage': 'No results'
    },
    noResultsForTemplateSubtitleText: {
        'id': 'boxui.metadataView.noResultsForTemplateSubtitleText',
        'defaultMessage': 'You do not have access to any files that match this template.'
    }
});

export default messages;