import { FLOAT } from './constants';

var floatRegex = /[^$,.\d]/;

var floatValidator = function floatValidator(value) {
    return value.match(floatRegex);
};

var isValidValue = function isValidValue(type, value) {
    if (type === FLOAT) {
        if (value != null && !floatValidator(String(value))) {
            return true;
        } else if (value == null) {
            return true;
        }
        return false;
    } else {
        return false;
    }
};

export { isValidValue };