import { defineMessages } from 'react-intl';

var messages = defineMessages({
    bookmark: {
        'id': 'boxui.quickSearch.bookmark',
        'defaultMessage': 'Bookmark'
    },
    collaboratedFolder: {
        'id': 'boxui.quickSearch.collaboratedFolder',
        'defaultMessage': 'Collaborated Folder'
    },
    externalFolder: {
        'id': 'boxui.quickSearch.externalFolder',
        'defaultMessage': 'External Folder'
    },
    file: {
        'id': 'boxui.quickSearch.file',
        'defaultMessage': 'File'
    },
    parentFolder: {
        'id': 'boxui.quickSearch.parentFolder',
        'defaultMessage': 'Parent Folder'
    },
    personalFolder: {
        'id': 'boxui.quickSearch.personalFolder',
        'defaultMessage': 'Personal Folder'
    },
    updatedText: {
        'id': 'boxui.quickSearch.updatedText',
        'defaultMessage': '{date, date, medium} by {user}'
    },
    updatedTextToday: {
        'id': 'boxui.quickSearch.updatedTextToday',
        'defaultMessage': 'Today by {user}'
    },
    updatedTextYesterday: {
        'id': 'boxui.quickSearch.updatedTextYesterday',
        'defaultMessage': 'Yesterday by {user}'
    }
});

export default messages;