import { defineMessages } from 'react-intl';

var messages = defineMessages({
    allowDownloadLabel: {
        'id': 'boxui.share.sharedLinkSettings.allowDownloadLabel',
        'defaultMessage': 'Allow users with the Shared Link to download this item'
    },
    allowDownloadTitle: {
        'id': 'boxui.share.sharedLinkSettings.allowDownloadTitle',
        'defaultMessage': 'Allow Download'
    },
    directLinkLabel: {
        'id': 'boxui.share.sharedLinkSettings.directLinkLabel',
        'defaultMessage': 'Direct Link'
    },
    inaccessibleSettingsNotice: {
        'id': 'boxui.share.sharedLinkSettings.inaccessibleSettingsNotice',
        'defaultMessage': 'Certain settings may not be available for this item due to permissions.'
    },
    modalTitle: {
        'id': 'boxui.share.sharedLinkSettings.modalTitle',
        'defaultMessage': 'Shared Link Settings'
    },
    customURLLabel: {
        'id': 'boxui.share.sharedLinkSettings.customURLLabel',
        'defaultMessage': 'Custom URL'
    },
    expirationTitle: {
        'id': 'boxui.share.sharedLinkSettings.expirationTitle',
        'defaultMessage': 'Link Expiration'
    },
    expirationLabel: {
        'id': 'boxui.share.sharedLinkSettings.expirationLabel',
        'defaultMessage': 'Disable Shared Link on'
    },
    passwordLabel: {
        'id': 'boxui.share.sharedLinkSettings.passwordLabel',
        'defaultMessage': 'Require password'
    },
    passwordPlaceholder: {
        'id': 'boxui.share.sharedLinkSettings.passwordPlaceholder',
        'defaultMessage': 'Enter a password'
    },
    passwordTitle: {
        'id': 'boxui.share.sharedLinkSettings.passwordTitle',
        'defaultMessage': 'Password Protect'
    },
    vanityNamePlaceholder: {
        'id': 'boxui.share.sharedLinkSettings.vanityNamePlaceholder',
        'defaultMessage': 'Enter a custom path'
    },
    vanityNameNotSet: {
        'id': 'boxui.share.sharedLinkSettings.vanityNameNotSet',
        'defaultMessage': 'The custom URL has not been set'
    }
});

export default messages;