import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconFileAudio = function IconFileAudio(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 32 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 32 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-file-audio ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 32 32'
        },
        React.createElement('path', { d: 'M25 27H7V5h13l5 5v17z', fill: '#fff' }),
        React.createElement('path', {
            d: 'M20 4H7a.94.94 0 0 0-1 1v22a.94.94 0 0 0 1 1h18a.94.94 0 0 0 1-1V9.9zm5 23H7V5h13v4a.94.94 0 0 0 1 1h4z',
            fill: '#955ca5'
        }),
        React.createElement('path', {
            d: 'M19 20.1V17h-6v4.5a1.5 1.5 0 1 1-1.5-1.5.9.9 0 0 1 .5.1V13h8v8.5a1.5 1.5 0 1 1-1.5-1.5.9.9 0 0 1 .5.1zM13 16h6v-2h-6z',
            fill: '#955ca5'
        })
    );
};

IconFileAudio.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconFileAudio;
import PropTypes from 'prop-types';