import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconFileExcelSpreadsheet = function IconFileExcelSpreadsheet(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 32 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 32 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-file-excel-spreadsheet ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 32 32'
        },
        React.createElement('path', { d: 'M25 27H7V5h13l5 5z', fill: '#FFFFFF' }),
        React.createElement('path', {
            d: 'M20 4H7c-.6 0-1 .4-1 1v22c0 .6.4 1 1 1h18c.6 0 1-.4 1-1V9.9L20 4zm5 23H7V5h13v4c0 .6.4 1 1 1h4v17z',
            fill: '#207245'
        }),
        React.createElement('path', {
            d: 'M10 13h3v2h-3zm4 0h3v2h-3zm4 0h3v2h-3zm-8 3h3v2h-3zm4 0h3v2h-3zm4 0h3v2h-3zm-8 3h3v2h-3zm4 0h3v2h-3zm4 0h3v2h-3zm-8 3h3v2h-3zm4 0h3v2h-3zm4 0h3v2h-3z',
            fill: '#207245'
        })
    );
};

IconFileExcelSpreadsheet.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconFileExcelSpreadsheet;
import PropTypes from 'prop-types';