import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconFileGoogleSheets = function IconFileGoogleSheets(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 32 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 32 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-file-google-sheets ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 32 32'
        },
        React.createElement('path', { d: 'M25 27H7V5h13l5 5z', fill: '#fff' }),
        React.createElement('path', {
            d: 'M20 4H7a.94.94 0 0 0-1 1v22a.94.94 0 0 0 1 1h18a.94.94 0 0 0 1-1V9.9zm5 23H7V5h13v4a.94.94 0 0 0 1 1h4z',
            fill: '#21a464'
        }),
        React.createElement('path', {
            d: 'M20 13h-9a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h9a1 1 0 0 0 1-1v-8a1 1 0 0 0-1-1zm-5 9h-4v-2h4zm0-3h-4v-2h4zm0-3h-4v-2h4zm5 6h-4v-2h4zm0-3h-4v-2h4zm0-3h-4v-2h4z',
            fill: '#21a464'
        })
    );
};

IconFileGoogleSheets.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconFileGoogleSheets;
import PropTypes from 'prop-types';