import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconFileIllustrator = function IconFileIllustrator(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 32 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 32 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-file-illustrator ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 32 32'
        },
        React.createElement('path', { fill: '#fff', d: 'M25 27H7V5h13l5 5v17z' }),
        React.createElement('path', {
            d: 'M20 4H7a1 1 0 0 0-1 1v22a1 1 0 0 0 1 1h18a1 1 0 0 0 1-1V9.89zm5 23H7V5h13v4a1 1 0 0 0 1 1h4z',
            fill: '#f7931d'
        }),
        React.createElement('path', {
            d: 'M14 14.85L12.89 18h2.25zm2.16 6l-.68-2h-2.83l-.71 2H11l2.61-7.1h.88l2.61 7.1zM18.99 13.7h.89v7.1h-.89z',
            fill: '#f7931d'
        })
    );
};

IconFileIllustrator.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconFileIllustrator;
import PropTypes from 'prop-types';