import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconAddTags = function IconAddTags(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 15 : _ref$height,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 15 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-add-tags ' + className,
            height: height,
            title: title,
            viewBox: '0 0 14.52 14.38',
            width: width
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M.52 9.61a1.91 1.91 0 0 1 0-2.71L7.15.34A1.2 1.2 0 0 1 8 0l4.5.06a1.94 1.94 0 0 1 1.91 1.9l.05 4.45a1.18 1.18 0 0 1-.35.85l-6.59 6.55a2 2 0 0 1-2.73 0L.52 9.62zm12.73-8.38a1.07 1.07 0 0 0-.74-.31L8.01.86a.32.32 0 0 0-.23.09l-6.6 6.6a1 1 0 0 0 0 1.48l4.24 4.19a1.07 1.07 0 0 0 1.5 0l6.6-6.59a.3.3 0 0 0 .09-.22l-.05-4.45a1 1 0 0 0-.27-.72z',
            fill: color
        }),
        React.createElement('circle', {
            className: 'fill-color',
            cx: '11.01',
            cy: '3.47',
            fill: color,
            r: '.87'
        })
    );
};

IconAddTags.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconAddTags;
import PropTypes from 'prop-types';