import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconAlertBlank = function IconAlertBlank(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 26 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 26 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-alert-blank ' + className,
            title: title,
            height: height,
            width: width,
            viewBox: '0 0 26 26'
        },
        React.createElement(
            'defs',
            null,
            React.createElement('circle', { id: 'b', cx: '8', cy: '8', r: '8' }),
            React.createElement(
                'filter',
                {
                    x: '-46.9%',
                    y: '-46.9%',
                    width: '193.8%',
                    height: '193.8%',
                    filterUnits: 'objectBoundingBox',
                    id: 'a'
                },
                React.createElement('feMorphology', {
                    radius: '.5',
                    operator: 'dilate',
                    'in': 'SourceAlpha',
                    result: 'shadowSpreadOuter1'
                }),
                React.createElement('feOffset', { 'in': 'shadowSpreadOuter1', result: 'shadowOffsetOuter1' }),
                React.createElement('feGaussianBlur', {
                    stdDeviation: '2',
                    'in': 'shadowOffsetOuter1',
                    result: 'shadowBlurOuter1'
                }),
                React.createElement('feColorMatrix', {
                    values: '0 0 0 0 0.733285502 0 0 0 0 0.733285502 0 0 0 0 0.733285502 0 0 0 0.5 0',
                    'in': 'shadowBlurOuter1'
                })
            )
        ),
        React.createElement(
            'g',
            { transform: 'translate(5 5)', fill: 'none', fillRule: 'evenodd' },
            React.createElement('use', { fill: '#000', filter: 'url(#a)', xlinkHref: '#b' }),
            React.createElement('use', { fill: '#F7931D', xlinkHref: '#b' })
        )
    );
};

IconAlertBlank.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconAlertBlank;
import PropTypes from 'prop-types';