import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconAllFiles = function IconAllFiles(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 12 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-all-files ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 12'
        },
        React.createElement(
            'g',
            { className: 'fill-color', fill: color },
            React.createElement('path', { d: 'M13 1H7.1l-1-1H1C.4 0 0 .5 0 1v10c0 .6.5 1 1 1h12c.6 0 1-.4 1-1V2c0-.6-.4-1-1-1zm0 10H1V4h12v7zm0-8H1V1h4.7l1 1H13v1z' }),
            React.createElement('path', { d: 'M11.5 9h-9c-.3 0-.5.2-.5.5s.2.5.5.5h9c.3 0 .5-.2.5-.5s-.2-.5-.5-.5z' })
        )
    );
};

IconAllFiles.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconAllFiles;
import PropTypes from 'prop-types';