import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconApps = function IconApps(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#888888' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-apps ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 14'
        },
        React.createElement('path', {
            className: 'stroke-color',
            fill: 'none',
            stroke: color,
            d: 'M.5.5h3v3h-3zm5 0h3v3h-3zm5 0h3v3h-3zm-10 5h3v3h-3zm5 0h3v3h-3zm5 0h3v3h-3zm-10 5h3v3h-3zm5 0h3v3h-3zm5 0h3v3h-3z',
            strokeLinecap: 'round',
            strokeLinejoin: 'round'
        })
    );
};

IconApps.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconApps;
import PropTypes from 'prop-types';