import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconClockPast = function IconClockPast(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-clock-past ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 14'
        },
        React.createElement(
            'g',
            { transform: 'translate(0 1)', fill: 'none', fillRule: 'evenodd' },
            React.createElement('rect', {
                className: 'fill-color',
                fill: color,
                x: '9.66',
                y: '3',
                width: '1',
                height: '5',
                rx: '.5'
            }),
            React.createElement('rect', {
                className: 'fill-color',
                fill: color,
                x: '9.66',
                y: '7',
                width: '3',
                height: '1',
                rx: '.5'
            }),
            React.createElement('path', {
                d: 'M5.66 10.62C6.697 11.48 8.032 12 9.487 12c3.314 0 6-2.686 6-6s-2.686-6-6-6c-3.313 0-6 2.686-6 6',
                className: 'stroke-color',
                stroke: color,
                strokeLinecap: 'round',
                strokeLinejoin: 'round'
            }),
            React.createElement('path', {
                className: 'fill-color',
                fill: color,
                d: 'M6.317 5l-2.83 2.828L.66 5'
            })
        )
    );
};

IconClockPast.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconClockPast;
import PropTypes from 'prop-types';