import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconDownloadFile = function IconDownloadFile(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 49 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 60 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-download-file ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 49 60'
        },
        React.createElement(
            'g',
            { fill: 'none', fillRule: 'evenodd' },
            React.createElement('path', {
                className: 'fill-color',
                fill: color,
                d: 'M2.58 60C1.03 60 0 58.957 0 57.39V2.61C0 1.042 1.032 0 2.58 0h30.946L49 15.652v41.74C49 58.956 47.968 60 46.42 60H2.58z'
            }),
            React.createElement('path', {
                fill: '#FFF',
                d: 'M45.676 58H3.324C2.53 58 2 57.467 2 56.667V3.333C2 2.533 2.53 2 3.324 2h30.44L47 15.333v41.334c0 .8-.53 1.333-1.324 1.333z'
            }),
            React.createElement('path', {
                className: 'fill-color',
                fill: color,
                d: 'M33.526 0L49 15.652H36.105c-1.547 0-2.58-1.043-2.58-2.61V0zM30 33.728h6.728L24 46.456 11.272 33.728H18V19h12v14.728z'
            }),
            React.createElement('path', { fill: '#FFF', d: 'M17 29h14v1H17zm0-5h14v2H17zm0-4h14v2H17z' })
        )
    );
};

IconDownloadFile.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconDownloadFile;
import PropTypes from 'prop-types';