import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconDownloadSolid = function IconDownloadSolid(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 10 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 10 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-download-solid ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 10 10'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M9.658 4.304H7.143V.634h-3.77v3.67H.857l4.4 4.283 4.4-4.283zM.858 9.81v1.224h8.8V9.81h-8.8z',
            fill: color
        })
    );
};

IconDownloadSolid.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconDownloadSolid;
import PropTypes from 'prop-types';