import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconExpirationInverted = function IconExpirationInverted(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 24 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 24 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-expiration-inverted ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 24 24'
        },
        React.createElement(
            'g',
            { className: 'fill-color', fill: color },
            React.createElement('path', {
                d: 'M12,2C6.5,2,2,6.5,2,12s4.5,10,10,10c5.5,0,10-4.5,10-10S17.5,2,12,2z M12,20c-4.4,0-8-3.6-8-8s3.6-8,8-8s8,3.6,8,8 S16.4,20,12,20z'
            }),
            React.createElement('path', { d: 'M12.5,7H11v6l5.2,3.1l0.8-1.2l-4.5-2.7V7z' })
        )
    );
};

IconExpirationInverted.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconExpirationInverted;
import PropTypes from 'prop-types';