import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconFlagSolid = function IconFlagSolid(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 18 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 18 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-flag-solid ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 18 18'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M4 1C5.33.33 6.67 0 8 0c2 0 4 2 6 2 1.33 0 2.67-.33 4-1v10c-1.33.67-2.67 1-4 1-2 0-4-2-6-2-1.33 0-2.67.33-4 1V1zM1 0h1a1 1 0 0 1 1 1v16a1 1 0 0 1-1 1H1a1 1 0 0 1-1-1V1a1 1 0 0 1 1-1z',
            fill: color,
            fillRule: 'nonzero'
        })
    );
};

IconFlagSolid.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconFlagSolid;
import PropTypes from 'prop-types';