import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconGraduationHat = function IconGraduationHat(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#8EA6B2' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 12 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-graduation-hat ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 12 12'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M2.818 6.444v1.82L6 10l3.182-1.737V6.444L6 8.181 2.818 6.444zM6 2L1 4.667l5 2.666 4.09-2.182v3.071H11V4.667L6 2z',
            fill: color,
            fillRule: 'nonzero'
        })
    );
};

IconGraduationHat.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconGraduationHat;
import PropTypes from 'prop-types';