import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconOpenWith = function IconOpenWith(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 12 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-open-with ' + className,
            height: height,
            title: title,
            viewBox: '0 0 12 12',
            width: width
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M10 1a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h8m0-1H2a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2z',
            fill: color
        }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M3 3v1h4.29L2.65 8.65l.7.7L8 4.71V9h1V3H3z'
        })
    );
};

IconOpenWith.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconOpenWith;
import PropTypes from 'prop-types';