import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconPageBack = function IconPageBack(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 13 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 8 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-page-back ' + className,
            title: title,
            height: height,
            width: width,
            viewBox: '0 0 8 13'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            fillRule: 'evenodd',
            d: 'M.1 11.3l4.6-4.5L.1 2.2 1.5.8l6 6-6 6-1.4-1.5z',
            transform: 'rotate(180 4 7)'
        })
    );
};

IconPageBack.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconPageBack;
import PropTypes from 'prop-types';