import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconPlusThin = function IconPlusThin(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#222' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 9 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 9 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-plus-thin ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 9 9'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M5 4V0H4v4H0v1h4v4h1V5h4V4H5z',
            fill: color,
            fillRule: 'evenodd'
        })
    );
};

IconPlusThin.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconPlusThin;
import PropTypes from 'prop-types';