import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconPrintInverted = function IconPrintInverted(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-print-inverted ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 16'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M3.5 6h1c.3 0 .5.2.5.5s-.2.5-.5.5h-1c-.3 0-.5-.2-.5-.5s.2-.5.5-.5zM5.5 10h5c.3 0 .5.2.5.5s-.2.5-.5.5h-5c-.3 0-.5-.2-.5-.5s.2-.5.5-.5zM5.5 12h5c.3 0 .5.2.5.5s-.2.5-.5.5h-5c-.3 0-.5-.2-.5-.5s.2-.5.5-.5z'
        }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M13 4V1H3v3c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2v3h10v-3c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-1-2v2H4V2h8zM4 14V9h8v5H4zm10-4c0 .5-.4 1-1 1V8H3v3c-.6 0-1-.4-1-1V6c0-.6.4-1 1-1h10c.6 0 1 .4 1 1v4z'
        })
    );
};

IconPrintInverted.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconPrintInverted;
import PropTypes from 'prop-types';