import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconRecentFiles = function IconRecentFiles(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#999' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 24 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 24 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-recent-files ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 24 24'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M17 20l-3 2H5c-2 0-3-1-3-3V7l2-3v15l1 1h12z'
        }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M8 0h7l1 1 4 4 1 1v10l-2 2H8l-2-2V2l2-2z'
        }),
        React.createElement('path', {
            d: 'M13 5v5m4 0h-4',
            stroke: '#FFF',
            strokeWidth: 2,
            strokeLinecap: 'round',
            strokeLinejoin: 'round'
        })
    );
};

IconRecentFiles.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconRecentFiles;
import PropTypes from 'prop-types';