import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconRetry = function IconRetry(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#ED3757' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-retry ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 16'
        },
        React.createElement('path', {
            d: 'M13,8a1,1,0,0,0-1,1A5,5,0,1,1,7,4V6l5-3L7,0V2a7,7,0,1,0,7,7A1,1,0,0,0,13,8Z',
            className: 'fill-color',
            fill: color
        })
    );
};

IconRetry.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconRetry;
import PropTypes from 'prop-types';