import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconShield2 = function IconShield2(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#8EA6B2' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 12 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-shield-2 ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 12 12'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M6 1L2 2.818v2.727C2 8.068 3.707 10.427 6 11c2.293-.573 4-2.932 4-5.455V2.818L6 1zm0 4.995h3.111C8.876 7.868 7.653 9.536 6 10.06V6H2.889V3.41L6 1.994v4z',
            fill: color,
            fillRule: 'nonzero'
        })
    );
};

IconShield2.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconShield2;
import PropTypes from 'prop-types';