var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'icon-iwork-numbers';

var IconIWorkNumbers = function (_React$Component) {
    _inherits(IconIWorkNumbers, _React$Component);

    function IconIWorkNumbers() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, IconIWorkNumbers);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = IconIWorkNumbers.__proto__ || Object.getPrototypeOf(IconIWorkNumbers)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(IconIWorkNumbers, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                width = _props.width;

            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    height: height,
                    title: title,
                    viewBox: '0 0 30 30',
                    width: width
                },
                React.createElement(
                    'defs',
                    null,
                    React.createElement(
                        'linearGradient',
                        {
                            id: this.idPrefix + 'b',
                            x1: '-1016.86',
                            y1: '-1332.01',
                            x2: '-1016.84',
                            y2: '-1354.15',
                            gradientTransform: 'matrix(1.33 0 0 1.33 1370.77 1805.85)',
                            gradientUnits: 'userSpaceOnUse'
                        },
                        React.createElement('stop', { offset: '0', stopColor: '#11d51d' }),
                        React.createElement('stop', { offset: '1', stopColor: '#82fa6c' })
                    ),
                    React.createElement(
                        'linearGradient',
                        {
                            id: this.idPrefix + 'a',
                            x1: '-1035.54',
                            y1: '-1124.31',
                            x2: '-1035.87',
                            y2: '-1105.94',
                            gradientTransform: 'translate(1047.93 1130.18)',
                            gradientUnits: 'userSpaceOnUse'
                        },
                        React.createElement('stop', { offset: '0', stopColor: '#fff' }),
                        React.createElement('stop', { offset: '1', stopColor: '#fff' })
                    ),
                    React.createElement('linearGradient', {
                        id: this.idPrefix + 'c',
                        x1: '-1041.03',
                        y1: '-1124.41',
                        x2: '-1041.35',
                        y2: '-1106.03',
                        xlinkHref: '#' + this.idPrefix + 'a'
                    }),
                    React.createElement('linearGradient', {
                        id: this.idPrefix + 'd',
                        x1: '-1030.07',
                        y1: '-1124.22',
                        x2: '-1030.4',
                        y2: '-1105.84',
                        xlinkHref: '#' + this.idPrefix + 'a'
                    }),
                    React.createElement('linearGradient', {
                        id: this.idPrefix + 'e',
                        x1: '-1024.48',
                        y1: '-1124.12',
                        x2: '-1024.8',
                        y2: '-1105.74',
                        xlinkHref: '#' + this.idPrefix + 'a'
                    }),
                    React.createElement('linearGradient', {
                        id: this.idPrefix + 'f',
                        x1: '-1032.65',
                        y1: '-1124.26',
                        x2: '-1032.97',
                        y2: '-1105.89',
                        xlinkHref: '#' + this.idPrefix + 'a'
                    })
                ),
                React.createElement('path', {
                    d: 'M6.88 0h16.24A6.87 6.87 0 0 1 30 6.88v16.24A6.87 6.87 0 0 1 23.12 30H6.88A6.87 6.87 0 0 1 0 23.12V6.88A6.87 6.87 0 0 1 6.88 0z',
                    fill: 'url(#' + this.idPrefix + 'b)'
                }),
                React.createElement('path', {
                    d: 'M10 14.79h4.4a.18.18 0 0 1 .18.18v7.56a.18.18 0 0 1-.18.18H10a.18.18 0 0 1-.18-.18V15a.18.18 0 0 1 .18-.21z',
                    fill: 'url(#' + this.idPrefix + 'a)'
                }),
                React.createElement('path', {
                    d: 'M4.39 19.29h4.49a.13.13 0 0 1 .14.12v3.18a.13.13 0 0 1-.14.12H4.39a.13.13 0 0 1-.14-.12v-3.18a.13.13 0 0 1 .14-.12z',
                    fill: 'url(#' + this.idPrefix + 'c)'
                }),
                React.createElement('path', {
                    d: 'M15.51 5.79h4.4a.18.18 0 0 1 .18.19v16.55a.18.18 0 0 1-.18.18h-4.4a.18.18 0 0 1-.18-.18V6a.18.18 0 0 1 .18-.21z',
                    fill: 'url(#' + this.idPrefix + 'd)'
                }),
                React.createElement('path', {
                    d: 'M21.05 10.74h4.43a.17.17 0 0 1 .16.18v11.62a.16.16 0 0 1-.16.17h-4.43a.16.16 0 0 1-.17-.17V10.92a.17.17 0 0 1 .17-.18z',
                    fill: 'url(#' + this.idPrefix + 'e)'
                }),
                React.createElement('path', {
                    d: 'M4.52 23.58H25.4a.4.4 0 0 1 .43.35V24a.4.4 0 0 1-.43.35H4.52a.4.4 0 0 1-.43-.35v-.11a.4.4 0 0 1 .43-.31z',
                    fill: 'url(#' + this.idPrefix + 'f)'
                })
            );
        }
    }]);

    return IconIWorkNumbers;
}(React.Component);

IconIWorkNumbers.defaultProps = {
    className: '',
    height: 30,
    width: 30
};
IconIWorkNumbers.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};


export default IconIWorkNumbers;
import PropTypes from 'prop-types';