import * as React from 'react';

import IconLogo from '../../icons/general/IconLogo';
import { BOX_BLUE } from '../../common/variables';

var Logo = function Logo(_ref) {
    var _ref$color = _ref.color,
        color = _ref$color === undefined ? BOX_BLUE : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 25 : _ref$height,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 45 : _ref$width,
        title = _ref.title;
    return React.createElement(
        'div',
        { className: 'logo' },
        React.createElement(IconLogo, { color: color, height: height, width: width, title: title })
    );
};

Logo.propTypes = {
    color: PropTypes.string,
    height: PropTypes.number,
    width: PropTypes.number,
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node])
};
export default Logo;
import PropTypes from 'prop-types';