var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';

import PlainButton from '../plain-button';

var SlideButton = function SlideButton(_ref) {
    var buttonRef = _ref.buttonRef,
        onClick = _ref.onClick,
        _ref$isSelected = _ref.isSelected,
        isSelected = _ref$isSelected === undefined ? false : _ref$isSelected,
        rest = _objectWithoutProperties(_ref, ['buttonRef', 'onClick', 'isSelected']);

    return React.createElement(PlainButton, _extends({
        'aria-selected': isSelected,
        className: 'slide-selector ' + (isSelected ? 'is-selected' : ''),
        getDOMRef: buttonRef,
        onClick: onClick,
        role: 'tab',
        type: 'button'
    }, rest));
};

SlideButton.propTypes = {
    buttonRef: PropTypes.func,
    onClick: PropTypes.func,
    isSelected: PropTypes.bool
};
export default SlideButton;
import PropTypes from 'prop-types';