var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';

var TableCell = function TableCell(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$isFixedWidth = _ref.isFixedWidth,
        isFixedWidth = _ref$isFixedWidth === undefined ? false : _ref$isFixedWidth,
        rest = _objectWithoutProperties(_ref, ['children', 'className', 'isFixedWidth']);

    return React.createElement(
        'td',
        _extends({
            className: classNames('table-cell', className, {
                'is-fixed-width': isFixedWidth
            })
        }, rest),
        children
    );
};

TableCell.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    isFixedWidth: PropTypes.bool
};
export default TableCell;
import PropTypes from 'prop-types';