import * as React from 'react';
import classNames from 'classnames';

import TableRow from './TableRow';

var TableHeader = function TableHeader(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$rowClassName = _ref.rowClassName,
        rowClassName = _ref$rowClassName === undefined ? '' : _ref$rowClassName;
    return React.createElement(
        'thead',
        { className: classNames('table-header', className) },
        React.createElement(
            TableRow,
            { className: rowClassName },
            children
        )
    );
};

TableHeader.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    rowClassName: PropTypes.string
};
export default TableHeader;
import PropTypes from 'prop-types';