var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';

var TableRow = function TableRow(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        rowRef = _ref.rowRef,
        rest = _objectWithoutProperties(_ref, ['children', 'className', 'rowRef']);

    return React.createElement(
        'tr',
        _extends({ className: classNames('table-row', className), ref: rowRef }, rest),
        children
    );
};

TableRow.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    rowRef: PropTypes.func
};
export default TableRow;
import PropTypes from 'prop-types';