import PropTypes from 'prop-types';
import React from 'react';

import { LinkGroup } from '../../components/link';
import PlainButton from '../../components/plain-button';
import { ToggleMenu } from '../menu';

var EllipsisCrumb = function EllipsisCrumb(_ref) {
    var children = _ref.children;
    return React.createElement(
        ToggleMenu,
        {
            toggler: React.createElement(
                PlainButton,
                { className: 'breadcrumb-toggler' },
                '\u22EF'
            )
        },
        React.createElement(
            LinkGroup,
            null,
            children
        )
    );
};

EllipsisCrumb.displayName = 'EllipsisCrumb';

EllipsisCrumb.propTypes = {
    children: PropTypes.node
};

export default EllipsisCrumb;