import { defineMessages } from 'react-intl';

var messages = defineMessages({
    approvalAddAssignee: {
        'id': 'boxui.activityFeed.approvalAddAssignee',
        'defaultMessage': 'Add an assignee'
    },
    approvalAddTask: {
        'id': 'boxui.activityFeed.approvalAddTask',
        'defaultMessage': 'Add Task'
    },
    approvalAddTaskTooltip: {
        'id': 'boxui.activityFeed.approvalAddTaskTooltip',
        'defaultMessage': 'Assigning a task to someone will send them a notification with the message in the comment box and allow them to approve or deny.'
    },
    approvalAssignees: {
        'id': 'boxui.activityFeed.approvalAssignees',
        'defaultMessage': 'Assignees'
    },
    approvalDueDate: {
        'id': 'boxui.activityFeed.approvalDueDate',
        'defaultMessage': 'Due Date'
    },
    approvalSelectDate: {
        'id': 'boxui.activityFeed.approvalSelectDate',
        'defaultMessage': 'Select a date'
    },
    atMentionTip: {
        'id': 'boxui.activityFeed.atMentionTip',
        'defaultMessage': '@mention users to notify them.'
    },
    commentCancel: {
        'id': 'boxui.activityFeed.commentCancel',
        'defaultMessage': 'Cancel'
    },
    commentDeleteCancel: {
        'id': 'boxui.activityFeed.commentDeleteCancel',
        'defaultMessage': 'No'
    },
    taskDeletePrompt: {
        'id': 'boxui.activityFeed.taskDeletePrompt',
        'defaultMessage': 'Delete task?'
    },
    commentDeleteConfirm: {
        'id': 'boxui.activityFeed.commentDeleteConfirm',
        'defaultMessage': 'Yes'
    },
    commentDeletePrompt: {
        'id': 'boxui.activityFeed.commentDeletePrompt',
        'defaultMessage': 'Delete comment?'
    },
    commentPost: {
        'id': 'boxui.activityFeed.commentPost',
        'defaultMessage': 'Post'
    },
    commentShowOriginal: {
        'id': 'boxui.activityFeed.commentShowOriginal',
        'defaultMessage': 'Show Original'
    },
    commentTranslate: {
        'id': 'boxui.activityFeed.commentTranslate',
        'defaultMessage': 'Translate'
    },
    commentWrite: {
        'id': 'boxui.activityFeed.commentWrite',
        'defaultMessage': 'Write a comment'
    },
    commentPostedFullDateTime: {
        'id': 'boxui.activityFeed.commentPostedFullDateTime',
        'defaultMessage': '{time, date, full} at {time, time, short}'
    },
    completedAssignment: {
        'id': 'boxui.activityFeed.completedAssignment',
        'defaultMessage': 'Completed'
    },
    deleteLabel: {
        'id': 'boxui.activityFeed.deleteLabel',
        'defaultMessage': 'Delete'
    },
    editLabel: {
        'id': 'boxui.activityFeed.editLabel',
        'defaultMessage': 'Edit'
    },
    getVersionInfo: {
        'id': 'boxui.activityFeed.getVersionInfo',
        'defaultMessage': 'Get version information'
    },
    keywordsApplied: {
        'id': 'boxui.activityFeed.keywordsAppliedList',
        'defaultMessage': 'Keywords were applied'
    },
    keywordsList: {
        'id': 'boxui.activityFeed.keywordsList',
        'defaultMessage': 'Keywords: {words}'
    },
    noActivity: {
        'id': 'boxui.activityFeed.noActivity',
        'defaultMessage': 'No Activity Yet'
    },
    noActivityCommentPrompt: {
        'id': 'boxui.activityFeed.noActivityCommentPrompt',
        'defaultMessage': 'Comment and @mention people to notify them.'
    },
    rejectedAssignment: {
        'id': 'boxui.activityFeed.rejectedAssignment',
        'defaultMessage': 'Rejected'
    },
    taskApprove: {
        'id': 'boxui.activityFeed.taskApprove',
        'defaultMessage': 'Complete'
    },
    taskDueDate: {
        'id': 'boxui.activityFeed.taskDueDate',
        'defaultMessage': 'Due'
    },
    tasksForApproval: {
        'id': 'boxui.activityFeed.tasksForApproval',
        'defaultMessage': 'Tasks'
    },
    taskReject: {
        'id': 'boxui.activityFeed.taskReject',
        'defaultMessage': 'Decline'
    },
    versionDeleted: {
        'id': 'boxui.activityFeed.versionDeleted',
        'defaultMessage': '{name} deleted version {versionNumber}'
    },
    versionRestored: {
        'id': 'boxui.activityFeed.versionRestored',
        'defaultMessage': '{name} restored version {versionNumber}'
    },
    versionMultipleUsersUploaded: {
        'id': 'boxui.activityFeed.versionMultipleUsersUploaded',
        'defaultMessage': '{numberOfCollaborators} collaborators uploaded versions {versions}'
    },
    versionTooManyVersions: {
        'id': 'boxui.activityFeed.versionTooManyVersions',
        'defaultMessage': 'Multiple versions of this file'
    },
    versionUploadCollapsed: {
        'id': 'boxui.activityFeed.versionUploadCollapsed',
        'defaultMessage': '{name} uploaded versions {versions}'
    },
    versionUploaded: {
        'id': 'boxui.activityFeed.versionUploaded',
        'defaultMessage': '{name} uploaded version {versionNumber}'
    }
});

export default messages;