import * as React from 'react';

import LeftSidebarLink from './LeftSidebarLink';
import LeftSidebarIconWrapper from './LeftSidebarIconWrapper';

import './styles/InstantLogin.scss';

var InstantLogin = function InstantLogin(_ref) {
    var _ref$htmlAttributes = _ref.htmlAttributes,
        htmlAttributes = _ref$htmlAttributes === undefined ? {} : _ref$htmlAttributes,
        Icon = _ref.iconComponent,
        _ref$message = _ref.message,
        message = _ref$message === undefined ? '' : _ref$message,
        _ref$showTooltip = _ref.showTooltip,
        showTooltip = _ref$showTooltip === undefined ? false : _ref$showTooltip;
    return React.createElement(LeftSidebarLink, {
        className: 'instant-login-link',
        htmlAttributes: htmlAttributes,
        icon: Icon ? React.createElement(
            LeftSidebarIconWrapper,
            null,
            React.createElement(Icon, null)
        ) : null,
        message: message,
        showTooltip: showTooltip
    });
};

InstantLogin.propTypes = {
    /** Optional HTML attributes to append to component */
    htmlAttributes: PropTypes.object,

    /** React element representing an svg icon */
    iconComponent: function iconComponent() {
        return (typeof (React.ComponentType == null ? {} : React.ComponentType) === 'function' ? PropTypes.instanceOf(React.ComponentType == null ? {} : React.ComponentType) : PropTypes.any).apply(this, arguments);
    },

    /** Localized text string to use for individual menu items */
    message: PropTypes.string,

    /** Whether the tooltip should be shown */
    showTooltip: PropTypes.bool
};
export default InstantLogin;
import PropTypes from 'prop-types';