var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import TetherComponent from 'react-tether';

import IconClose from '../../icons/general/IconClose';
import PlainButton from '../../components/plain-button';

import './styles/LeftSidebarLinkCallout.scss';

var LeftSidebarLinkCallout = function (_React$Component) {
    _inherits(LeftSidebarLinkCallout, _React$Component);

    function LeftSidebarLinkCallout(props) {
        _classCallCheck(this, LeftSidebarLinkCallout);

        var _this = _possibleConstructorReturn(this, (LeftSidebarLinkCallout.__proto__ || Object.getPrototypeOf(LeftSidebarLinkCallout)).call(this, props));

        _this.hideCallout = function () {
            var onClose = _this.props.callout.onClose;

            if (onClose) {
                onClose();
            }
            _this.setState({ isShown: false });
        };

        _this.state = { isShown: true };
        return _this;
    }

    _createClass(LeftSidebarLinkCallout, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                content = _props.callout.content;
            var isShown = this.state.isShown;


            return React.createElement(
                TetherComponent,
                {
                    attachment: 'middle left',
                    classPrefix: 'nav-link-callout',
                    targetAttachment: 'middle right'
                },
                React.Children.only(children),
                isShown && React.createElement(
                    'div',
                    { className: 'nav-link-callout' },
                    React.createElement(
                        PlainButton,
                        {
                            className: 'nav-link-callout-close-button',
                            onClick: this.hideCallout
                        },
                        React.createElement(IconClose, { color: '#fff', height: 16, width: 16 })
                    ),
                    content
                )
            );
        }
    }]);

    return LeftSidebarLinkCallout;
}(React.Component);

LeftSidebarLinkCallout.propTypes = {
    children: PropTypes.node.isRequired,
    callout: function callout() {
        return (typeof bpfrpt_proptype_Callout === 'function' ? bpfrpt_proptype_Callout.isRequired ? bpfrpt_proptype_Callout.isRequired : bpfrpt_proptype_Callout : PropTypes.shape(bpfrpt_proptype_Callout).isRequired).apply(this, arguments);
    }
};


export default LeftSidebarLinkCallout;
import { bpfrpt_proptype_Callout } from './Callout';
import PropTypes from 'prop-types';