import * as React from 'react';

import '../styles/MetadataViewCell.scss';

var DateCell = function DateCell(_ref) {
    var cellData = _ref.cellData,
        intl = _ref.intl;

    return React.createElement(
        'div',
        { className: 'cell-container' },
        React.createElement(
            'span',
            null,
            intl.formatDate(cellData.cellData, {
                month: 'long',
                day: '2-digit',
                year: 'numeric'
            })
        )
    );
};
DateCell.propTypes = {
    cellData: function cellData() {
        return (typeof bpfrpt_proptype_CellData === 'function' ? bpfrpt_proptype_CellData.isRequired ? bpfrpt_proptype_CellData.isRequired : bpfrpt_proptype_CellData : PropTypes.shape(bpfrpt_proptype_CellData).isRequired).apply(this, arguments);
    },
    intl: PropTypes.object.isRequired
};
export default DateCell;
import { bpfrpt_proptype_CellData } from '../../metadata-instance-editor/flowTypes.js';
import PropTypes from 'prop-types';