import * as React from 'react';

import IconItem from '../../../icons/item-icon/ItemIcon';

import '../styles/MetadataViewCell.scss';

var IconCell = function IconCell(_ref) {
    var cellData = _ref.cellData;

    return React.createElement(
        'div',
        { className: 'cell-container' },
        React.createElement(IconItem, { height: 32, width: 32, iconType: cellData })
    );
};

IconCell.propTypes = {
    cellData: PropTypes.string.isRequired
};
export default IconCell;
import PropTypes from 'prop-types';