import * as React from 'react';

import IconItem from '../../../icons/item-icon/ItemIcon';


import '../styles/MetadataViewCell.scss';

var NameCell = function NameCell(_ref) {
    var cellData = _ref.cellData;
    var rowData = cellData.rowData;

    return React.createElement(
        React.Fragment,
        null,
        React.createElement(
            'div',
            { className: 'cell-container item-name-cell-container' },
            React.createElement(
                'div',
                { className: 'icon-cell-container' },
                React.createElement(IconItem, {
                    height: 32,
                    width: 32,
                    iconType: rowData.fileType
                })
            ),
            React.createElement(
                'div',
                { className: 'item-name-cell' },
                React.createElement(
                    'span',
                    null,
                    cellData.cellData
                )
            )
        )
    );
};

NameCell.propTypes = {
    cellData: function cellData() {
        return (typeof bpfrpt_proptype_CellData === 'function' ? bpfrpt_proptype_CellData.isRequired ? bpfrpt_proptype_CellData.isRequired : bpfrpt_proptype_CellData : PropTypes.shape(bpfrpt_proptype_CellData).isRequired).apply(this, arguments);
    }
};
export default NameCell;
import { bpfrpt_proptype_CellData } from '../../metadata-instance-editor/flowTypes.js';
import PropTypes from 'prop-types';