import { defineMessages } from 'react-intl';

var messages = defineMessages({
    activeNowText: {
        'id': 'boxui.presence.activeNow',
        'defaultMessage': 'Active now'
    },
    timeSinceLastAccessedText: {
        'id': 'boxui.presence.timeSinceLastAccessed',
        'defaultMessage': 'Viewed {timeAgo}'
    },
    timeSinceLastPreviewedText: {
        'id': 'boxui.presence.timeSinceLastPreviewed',
        'defaultMessage': 'Previewed {timeAgo}'
    },
    timeSinceLastCommentedText: {
        'id': 'boxui.presence.timeSinceLastCommented',
        'defaultMessage': 'Commented {timeAgo}'
    },
    timeSinceLastModifiedText: {
        'id': 'boxui.presence.timeSinceLastModified',
        'defaultMessage': 'Edited {timeAgo}'
    },
    accessedInTheLastMinuteText: {
        'id': 'boxui.presence.accessedInTheLastMinute',
        'defaultMessage': 'Viewed less than a minute ago'
    },
    previewedIntheLastMinuteText: {
        'id': 'boxui.presence.previewedIntheLastMinute',
        'defaultMessage': 'Previewed less than a minute ago'
    },
    commentedIntheLastMinuteText: {
        'id': 'boxui.presence.commentedIntheLastMinute',
        'defaultMessage': 'Commented less than a minute ago'
    },
    modifiedIntheLastMinuteText: {
        'id': 'boxui.presence.modifiedIntheLastMinute',
        'defaultMessage': 'Edited less than a minute ago'
    },
    getLinkButtonText: {
        'id': 'boxui.presence.getLinkButton',
        'defaultMessage': 'Get Link'
    },
    inviteButtonText: {
        'id': 'boxui.presence.inviteButton',
        'defaultMessage': 'Invite People'
    },
    recentActivity: {
        'id': 'boxui.presence.recentActivity',
        'defaultMessage': 'Recent Activity'
    },
    previewPresenceFlyoutCopy: {
        'id': 'boxui.presence.previewPresenceFlyoutCopy',
        'defaultMessage': 'Quickly see who has commented on, edited, or viewed this file.'
    },
    previewPresenceFlyoutActivityCTA: {
        'id': 'boxui.presence.previewPresenceFlyoutActivityCTA',
        'defaultMessage': 'View Recent Activity'
    },
    previewPresenceFlyoutAccessStatsLink: {
        'id': 'boxui.presence.previewPresenceFlyoutAccessStatsLink',
        'defaultMessage': 'See all activity'
    }
});

export default messages;