export var ATTRIBUTE = 'attribute';
export var COLUMN_DISPLAY_TEXT = 'columnDisplayText';
export var COLUMN_KEY = 'columnKey';
export var OPERATOR = 'operator';
export var OPERATOR_DISPLAY_TEXT = 'operatorDisplayText';
export var OPERATOR_KEY = 'operatorKey';
export var VALUE = 'value';
export var VALUE_DISPLAY_TEXT = 'valueDisplayText';
export var VALUE_KEY = 'valueKey';

export var STRING = 'string';
export var NUMBER = 'number';
export var FLOAT = 'float';
export var ENUM = 'enum';
export var DATE = 'date';

export var OPERATORS_FOR_ATTRIBUTE = {
    string: [{
        displayName: 'is',
        type: STRING
    }],
    number: [{
        displayName: 'is',
        type: NUMBER
    }],
    float: [{
        displayName: 'is',
        type: FLOAT
    }],
    enum: [{
        displayName: 'is',
        type: ENUM
    }],
    date: [{
        displayName: 'is',
        type: DATE
    }, {
        displayName: 'is greater than',
        type: DATE
    }, {
        displayName: 'is less than',
        type: DATE
    }, {
        displayName: 'is not',
        type: DATE
    }]
};