import { defineMessages } from 'react-intl';

var messages = defineMessages({
    tooltipSelectValueError: {
        'id': 'boxui.queryBar.tooltipSelectValueError',
        'defaultMessage': 'Please Select a Value'
    },
    tooltipSelectDateError: {
        'id': 'boxui.queryBar.tooltipSelectDateError',
        'defaultMessage': 'Please Select a Date'
    },
    metadataViewTemplateListHeaderTitle: {
        'id': 'boxui.queryBar.metadataViewTemplateListHeaderTitle',
        'defaultMessage': 'METADATA TEMPLATES'
    },
    selectAttributePlaceholderText: {
        'id': 'boxui.queryBar.selectAttributePlaceholderText',
        'defaultMessage': 'Select attribute'
    },
    selectValuePlaceholderText: {
        'id': 'boxui.queryBar.selectValuePlaceholderText',
        'defaultMessage': 'Select value'
    },
    prefixButtonText: {
        'id': 'boxui.queryBar.prefixButtonText',
        'defaultMessage': 'WHERE'
    },
    addFilterButtonText: {
        'id': 'boxui.queryBar.addFilterButtonText',
        'defaultMessage': '+ Add Filter'
    },
    applyFiltersButtonText: {
        'id': 'boxui.queryBar.applyFiltersButtonText',
        'defaultMessage': 'Apply'
    },
    templatesLoadingButtonText: {
        'id': 'boxui.queryBar.templatesLoadingButtonText',
        'defaultMessage': 'Template Name'
    },
    templatesButtonText: {
        'id': 'boxui.queryBar.templatesButtonText',
        'defaultMessage': 'Select Metadata'
    },
    filtersButtonText: {
        'id': 'boxui.queryBar.filtersButtonText',
        'defaultMessage': 'Modify Filters'
    },
    multipleFiltersButtonText: {
        'id': 'boxui.queryBar.multipleFiltersButtonText',
        'defaultMessage': '{number} Filters'
    },
    noFiltersAppliedText: {
        'id': 'boxui.queryBar.noFiltersAppliedText',
        'defaultMessage': 'No Filters Applied'
    },
    selectAttributeDropdownText: {
        'id': 'boxui.queryBar.selectAttributeDropdownText',
        'defaultMessage': 'Select attribute'
    },
    operatorDropdownText: {
        'id': 'boxui.queryBar.operatorDropdownText',
        'defaultMessage': 'is'
    },
    selectValueDropdownText: {
        'id': 'boxui.queryBar.selectValueDropdownText',
        'defaultMessage': 'Select value'
    },
    columnsButtonText: {
        'id': 'boxui.queryBar.columnsButtonText',
        'defaultMessage': 'Columns'
    },
    columnsHiddenButtonText: {
        'id': 'boxui.queryBar.columnsHiddenButtonText',
        'defaultMessage': '{number} Columns Hidden'
    }
});

export default messages;