var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import classNames from 'classnames';

import './QuickSearchMessage.scss';

var QuickSearchMessage = function (_Component) {
    _inherits(QuickSearchMessage, _Component);

    function QuickSearchMessage() {
        _classCallCheck(this, QuickSearchMessage);

        return _possibleConstructorReturn(this, (QuickSearchMessage.__proto__ || Object.getPrototypeOf(QuickSearchMessage)).apply(this, arguments));
    }

    _createClass(QuickSearchMessage, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                isShown = _props.isShown;

            var className = classNames('overlay-wrapper', { 'is-visible': isShown }, 'quick-search-message');

            return React.createElement(
                'div',
                { className: className },
                React.createElement(
                    'p',
                    { className: 'overlay' },
                    children
                )
            );
        }
    }]);

    return QuickSearchMessage;
}(Component);

QuickSearchMessage.propTypes = {
    children: PropTypes.oneOfType([PropTypes.string, PropTypes.element]).isRequired,
    isShown: PropTypes.bool.isRequired
};
QuickSearchMessage.defaultProps = {
    isShown: false
};


export default QuickSearchMessage;