import { defineMessages } from 'react-intl';

var messages = defineMessages({
    inviteCollabs: {
        'id': 'boxui.shareMenu.inviteCollabs',
        'defaultMessage': 'Invite Collaborators'
    },
    insufficientPermissionsTooltip: {
        'id': 'boxui.shareMenu.insufficientPermissionsTooltip',
        'defaultMessage': 'You have insufficient permissions to invite collaborators.'
    },
    ownerCoownerOnlyTooltip: {
        'id': 'boxui.shareMenu.ownerCoownerOnlyTooltip',
        'defaultMessage': 'You have insufficient permissions to invite collaborators. Only the owner and co-owners can invite collaborators.'
    },
    editAndComment: {
        'id': 'boxui.shareMenu.editAndComment',
        'defaultMessage': 'Edit and Comment'
    },
    getSharedLink: {
        'id': 'boxui.shareMenu.getSharedLink',
        'defaultMessage': 'Get Shared Link'
    },
    viewAndDownload: {
        'id': 'boxui.shareMenu.viewAndDownload',
        'defaultMessage': 'View and Download'
    },
    viewOnly: {
        'id': 'boxui.shareMenu.viewOnly',
        'defaultMessage': 'View Only'
    },
    downloadOnly: {
        'id': 'boxui.shareMenu.downloadOnly',
        'defaultMessage': 'Download Only'
    },
    shortcutOnly: {
        'id': 'boxui.shareMenu.shortcutOnly',
        'defaultMessage': 'Shortcut Only'
    },
    insufficientPermissionsMenuOption: {
        'id': 'boxui.shareMenu.insufficientPermissionsMenuOption',
        'defaultMessage': 'Insufficient sharing permissions. Please contact the folder owner.'
    }
});

export default messages;