import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconFileSpreadsheet = function IconFileSpreadsheet(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 32 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 32 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-file-spreadsheet ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 32 32'
        },
        React.createElement('path', { fill: '#fff', d: 'M25 27H7V5h13l5 5v17z' }),
        React.createElement('path', {
            d: 'M20 4H7a1 1 0 0 0-1 1v22a1 1 0 0 0 1 1h18a1 1 0 0 0 1-1V9.89zm5 23H7V5h13v4a1 1 0 0 0 1 1h4z',
            fill: '#3fb87f'
        }),
        React.createElement('path', {
            d: 'M21 13H11a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h10a1 1 0 0 0 1-1v-8a1 1 0 0 0-1-1zm-10 1h3v2h-3zm0 3h3v2h-3zm0 5v-2h3v2zm10 0h-6v-2h6zm0-3h-6v-2h6zm-6-3v-2h6v2z',
            fill: '#3fb87f'
        })
    );
};

IconFileSpreadsheet.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconFileSpreadsheet;
import PropTypes from 'prop-types';