import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconAddThin = function IconAddThin(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#222222' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 17 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 17 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-add-thin ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 17 17'
        },
        React.createElement('path', { className: 'fill-color', fill: color, d: 'M8 0h1v17H8z' }),
        React.createElement('path', { className: 'fill-color', fill: color, d: 'M17 8v1H0V8z' })
    );
};

IconAddThin.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconAddThin;
import PropTypes from 'prop-types';