import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconAlignLeft = function IconAlignLeft(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 10 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 13 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-align-left ' + className,
            height: height,
            title: title,
            viewBox: '0 0 13 10',
            width: width
        },
        React.createElement('path', {
            className: 'stroke-color',
            stroke: color,
            fill: 'none',
            strokeMiterlimit: 10,
            d: 'M.3.5h11.9M.3 3.5h9.3m-9.3 6h9.3m-9.3-3H5'
        })
    );
};

IconAlignLeft.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconAlignLeft;
import PropTypes from 'prop-types';