import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconDownload = function IconDownload(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-download ' + className,
            height: height,
            title: title,
            viewBox: '0 0 12 14',
            width: width
        },
        React.createElement('path', {
            className: 'stroke-color',
            stroke: color,
            fill: 'none',
            d: 'M8.5.8h-5v5H1.2L6 10.6l4.8-4.8H8.5v-5z'
        }),
        React.createElement('path', {
            className: 'stroke-color',
            stroke: color,
            fill: 'none',
            d: 'M0 13.3h12'
        })
    );
};

IconDownload.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconDownload;
import PropTypes from 'prop-types';