import * as React from 'react';
import AccessibleSVG from '../accessible-svg';

var IconLeftArrow = function IconLeftArrow(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#888888' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-governance ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 12 14'
        },
        React.createElement('path', {
            className: 'stroke-color',
            fill: 'none',
            stroke: color,
            d: 'M9.5 4.5h-9m4-4l-4 4m4 4l-4-4',
            strokeLinecap: 'round'
        })
    );
};

IconLeftArrow.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconLeftArrow;
import PropTypes from 'prop-types';