import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconMail = function IconMail(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 11 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-mail ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 11'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M13 0H1C.4 0 0 .4 0 1v9c0 .6.5 1 1 1h12c.6 0 1-.4 1-1V1c0-.6-.5-1-1-1zM7 5.5L1.8 1h10.5L7 5.5zM1 1zm12 9H1V1.7l5.7 4.8.3.3.3-.3L13 1.7V10z'
        })
    );
};

IconMail.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconMail;
import PropTypes from 'prop-types';