import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconMoveCopy = function IconMoveCopy(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 13 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-move-copy ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 13 14'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M3 2.5h-.5V14h10V3c0-.6-.4-1-1-1h-9v.5H3V3h8.5v10h-8V2.5H3V3v-.5z'
        }),
        React.createElement('path', { className: 'fill-color', fill: color, d: 'M.5 0h1v11h-1z' }),
        React.createElement('path', { className: 'fill-color', fill: color, d: 'M.5 0h9v1h-9z' }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M6 6h3c.3 0 .5.2.5.5S9.3 7 9 7H6c-.3 0-.5-.2-.5-.5S5.7 6 6 6zm0 3h3c.3 0 .5.2.5.5s-.2.5-.5.5H6c-.3 0-.5-.2-.5-.5S5.7 9 6 9z'
        })
    );
};

IconMoveCopy.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconMoveCopy;
import PropTypes from 'prop-types';