import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconNavigateLeft = function IconNavigateLeft(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 48 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 48 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-navigate-left ' + className,
            focusable: 'false',
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 48 48'
        },
        React.createElement('path', {
            fill: '#494949',
            stroke: '#DCDCDC',
            strokeMiterlimit: '10',
            d: 'M30.8,33.2L21.7,24l9.2-9.2L28,12L16,24l12,12L30.8,33.2z'
        }),
        React.createElement('path', { display: 'none', fill: 'none', d: 'M0,0h48v48H0V0z' })
    );
};

IconNavigateLeft.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconNavigateLeft;
import PropTypes from 'prop-types';