import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconNavigateRight = function IconNavigateRight(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 48 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 48 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-navigate-right ' + className,
            focusable: 'false',
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 48 48'
        },
        React.createElement('path', {
            fill: '#494949',
            stroke: '#DCDCDC',
            strokeMiterlimit: '10',
            d: 'M17.2,14.8l9.2,9.2l-9.2,9.2L20,36l12-12L20,12L17.2,14.8z'
        }),
        React.createElement('path', { display: 'none', fill: 'none', d: 'M48,48H0L0,0l48,0V48z' })
    );
};

IconNavigateRight.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconNavigateRight;
import PropTypes from 'prop-types';