import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconRemove = function IconRemove(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 10 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 10 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-remove ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 10 10'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M4.596 5.303L1.06 8.84c-.19.19-.195.51 0 .706.19.19.513.195.708 0L5.303 6.01 8.84 9.546c.194.195.516.19.706 0 .195-.195.192-.516 0-.707L6.01 5.302l3.536-3.535c.192-.192.195-.512 0-.707-.19-.19-.512-.194-.707 0L5.302 4.597 1.768 1.06c-.195-.194-.518-.19-.707 0-.195.196-.19.516 0 .708l3.536 3.535z',
            fill: color,
            fillRule: 'evenodd'
        })
    );
};

IconRemove.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconRemove;
import PropTypes from 'prop-types';