import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconRename = function IconRename(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 13 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-rename ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 13'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M3.8 7.6l-.4.4 2.5 2.5L13.3 3c.2-.2.3-.5.3-.7 0-.3-.1-.5-.3-.7L11.9.2c-.2-.2-.5-.3-.7-.3-.3 0-.5.1-.7.3L3.1 7.6l.3.4.4-.4.3.4 7-7 1.4 1.4L5.9 9 4.1 7.3l-.3.3.3.4-.3-.4zm-1.6.9L5 11.3l-3.4 1.2c-.5.2-.8-.1-.6-.6l1.2-3.4zm3.9 3h7v1h-7z'
        })
    );
};

IconRename.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconRename;
import PropTypes from 'prop-types';