import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconUploadCloud = function IconUploadCloud(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 13 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-upload-cloud ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 13'
        },
        React.createElement(
            'g',
            { className: 'fill-color', fill: color },
            React.createElement('path', { d: 'M8.5 6.1v6.8h-1V6.1L5.4 8.3l-.8-.8L8 4.2l3.3 3.4-.7.7-2.1-2.2z' }),
            React.createElement('path', { d: 'M10 12.9h1.5c2.5 0 4.4-2.3 4.4-5.1 0-2.7-2.1-4.8-4.9-4.9l1 1C12 1.6 10.3.1 8 0 4.9-.2 2.9 1.6 3 4.9l.9-1C1.8 4.1.1 6.2.1 8.5c0 2.4 1.6 4.4 3.8 4.4H6v-1H3.9C2.3 11.9 1 10.4 1 8.5 1.1 6.7 2.5 5 4 4.9 3.9 2.1 5.6.8 8 .9c1.7.1 3 1.1 3 2.9 2.3 0 3.9 1.7 3.9 3.9 0 2.3-1.5 4.1-3.4 4.1H10v1.1z' })
        ),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M11.8 2.7s.2.5.2.9-1-.4-1-.4l-.1-.5h.9zm-8.7 1s-.1.5-.1.7.9-.5.9-.5l-.8-.2z'
        })
    );
};

IconUploadCloud.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconUploadCloud;
import PropTypes from 'prop-types';