var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'chart-circle-illustration';

var ChartCircleIllustration = function (_React$PureComponent) {
    _inherits(ChartCircleIllustration, _React$PureComponent);

    function ChartCircleIllustration() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, ChartCircleIllustration);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ChartCircleIllustration.__proto__ || Object.getPrototypeOf(ChartCircleIllustration)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(ChartCircleIllustration, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                width = _props.width;

            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    height: height,
                    title: title,
                    width: width,
                    viewBox: '0 0 200 200'
                },
                React.createElement(
                    'defs',
                    null,
                    React.createElement('rect', { id: 'b', width: '79.2', height: '79.2', rx: '1.2175' }),
                    React.createElement(
                        'filter',
                        {
                            x: '-18.3%',
                            y: '-12%',
                            width: '136.6%',
                            height: '136.6%',
                            filterUnits: 'objectBoundingBox',
                            id: 'a'
                        },
                        React.createElement('feOffset', {
                            dy: 5,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 4,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0.160784314 0 0 0 0 0.278431373 0 0 0 0.12 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement(
                        'filter',
                        {
                            x: '-58.3%',
                            y: '-152.9%',
                            width: '216.7%',
                            height: '520%',
                            filterUnits: 'objectBoundingBox',
                            id: 'c'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 2,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0.380392157 0 0 0 0 0.839215686 0 0 0 0.1 0',
                            'in': 'shadowBlurOuter1',
                            result: 'shadowMatrixOuter1'
                        }),
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter2'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '4.5',
                            'in': 'shadowOffsetOuter2',
                            result: 'shadowBlurOuter2'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.04 0',
                            'in': 'shadowBlurOuter2',
                            result: 'shadowMatrixOuter2'
                        }),
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter3'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 7,
                            'in': 'shadowOffsetOuter3',
                            result: 'shadowBlurOuter3'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0.380392157 0 0 0 0 0.839215686 0 0 0 0.05 0',
                            'in': 'shadowBlurOuter3',
                            result: 'shadowMatrixOuter3'
                        }),
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter4'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter4',
                            result: 'shadowBlurOuter4'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.02 0',
                            'in': 'shadowBlurOuter4',
                            result: 'shadowMatrixOuter4'
                        }),
                        React.createElement(
                            'feMerge',
                            null,
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter1' }),
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter2' }),
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter3' }),
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter4' }),
                            React.createElement('feMergeNode', { 'in': 'SourceGraphic' })
                        )
                    ),
                    React.createElement('rect', { id: 'e', width: 126, height: '34.7866', rx: '17.3933' }),
                    React.createElement(
                        'filter',
                        {
                            x: '-40.9%',
                            y: '-102.1%',
                            width: '181.7%',
                            height: '396.1%',
                            filterUnits: 'objectBoundingBox',
                            id: 'd'
                        },
                        React.createElement('feOffset', {
                            dy: 16,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '14.5',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feComposite', {
                            'in': 'shadowBlurOuter1',
                            in2: 'SourceAlpha',
                            operator: 'out',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.12 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('path', {
                        d: 'M17.393 0h104.148c1.55 0 2.113.162 2.68.465a3.161 3.161 0 0 1 1.314 1.315c.303.566.465 1.129.465 2.68v25.867c0 1.55-.162 2.113-.465 2.68a3.16 3.16 0 0 1-1.315 1.315c-.567.303-1.129.465-2.68.465H17.394C7.787 34.787 0 26.999 0 17.393 0 7.787 7.787 0 17.393 0z',
                        id: 'g'
                    }),
                    React.createElement(
                        'filter',
                        {
                            x: '-5.2%',
                            y: '-18.7%',
                            width: '118.3%',
                            height: '174.7%',
                            filterUnits: 'objectBoundingBox',
                            id: 'f'
                        },
                        React.createElement('feOffset', {
                            dx: 5,
                            dy: 8,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '2.5',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0.0823529412 0 0 0 0 0.121568627 0 0 0 0 0.149019608 0 0 0 0.08 0',
                            'in': 'shadowBlurOuter1'
                        })
                    )
                ),
                React.createElement(
                    'g',
                    { transform: 'translate(10 10)', fill: 'none', fillRule: 'evenodd' },
                    React.createElement('circle', { fill: '#E9EEF3', cx: 90, cy: 90, r: 90 }),
                    React.createElement(
                        'g',
                        { transform: 'translate(74.7 18)' },
                        React.createElement('use', { fill: '#000', filter: 'url(#a)', xlinkHref: '#b' }),
                        React.createElement('use', { fill: '#FFF', xlinkHref: '#b' }),
                        React.createElement('path', {
                            fill: '#E9EEF3',
                            d: 'M36.554 2.437h40.303v74.515H36.554z'
                        }),
                        React.createElement(
                            'g',
                            { transform: 'translate(45.083 28.0246)' },
                            React.createElement('circle', {
                                fill: '#F5B95A',
                                cx: '11.716',
                                cy: '11.716',
                                r: '11.716'
                            }),
                            React.createElement('path', {
                                d: 'M11.716 23.432V11.716h11.716c0 6.47-5.245 11.716-11.716 11.716z',
                                fill: '#0061D5'
                            }),
                            React.createElement('path', {
                                d: 'M11.728 0v11.716l10.315 5.581a11.727 11.727 0 0 1-10.315 6.135C5.251 23.432 0 18.187 0 11.716 0 5.246 5.25 0 11.728 0z',
                                fill: '#FC627A'
                            })
                        ),
                        React.createElement('rect', {
                            fill: '#0061D5',
                            x: '8.6698',
                            y: '17.8083',
                            width: '12.1846',
                            height: '1.5231',
                            rx: '.7615'
                        }),
                        React.createElement('path', {
                            d: 'M9.38 22.026h17.793a.71.71 0 1 1 0 1.422H9.381a.71.71 0 0 1 0-1.422zm0 14.215h8.046a.71.71 0 1 1 0 1.422H9.38a.71.71 0 1 1 0-1.422zm0 2.843h17.793a.71.71 0 0 1 0 1.422H9.381a.71.71 0 1 1 0-1.421zm0 2.843h22.668a.71.71 0 1 1 0 1.422H9.381a.71.71 0 1 1 0-1.421z',
                            fill: '#C3D1D9'
                        }),
                        React.createElement('path', {
                            d: 'M9.38 52.081h17.793a.71.71 0 1 1 0 1.422H9.381a.71.71 0 1 1 0-1.422zm0 2.843h11.702a.71.71 0 0 1 0 1.422H9.38a.71.71 0 1 1 0-1.421zm0 2.844h15.966a.71.71 0 1 1 0 1.421H9.38a.71.71 0 1 1 0-1.421z',
                            fill: '#E9EEF3'
                        })
                    ),
                    React.createElement(
                        'g',
                        { filter: 'url(#c)', transform: 'translate(0 117.9)' },
                        React.createElement(
                            'g',
                            { opacity: '.42' },
                            React.createElement('use', { fill: '#000', filter: 'url(#d)', xlinkHref: '#e' }),
                            React.createElement('use', { fillOpacity: 0, fill: '#FFF', xlinkHref: '#e' })
                        ),
                        React.createElement('use', { fill: '#000', filter: 'url(#f)', xlinkHref: '#g' }),
                        React.createElement('use', { fill: '#FFF', xlinkHref: '#g' }),
                        React.createElement('rect', {
                            fill: '#E9EEF3',
                            x: '38.2653',
                            y: '13.9147',
                            width: 72,
                            height: '6.9573',
                            rx: '3.4787'
                        }),
                        React.createElement('circle', {
                            fill: '#5FC9CF',
                            cx: '17.3933',
                            cy: '17.3933',
                            r: '12.1753'
                        }),
                        React.createElement(
                            'text',
                            {
                                fontFamily: 'Lato-Bold, Lato',
                                fontSize: '8.6967',
                                fontWeight: 'bold',
                                letterSpacing: '.8697',
                                fill: '#FFF'
                            },
                            React.createElement(
                                'tspan',
                                { x: '7.9292', y: '21.1753' },
                                'MW'
                            )
                        )
                    )
                )
            );
        }
    }]);

    return ChartCircleIllustration;
}(React.PureComponent);

ChartCircleIllustration.defaultProps = {
    className: '',
    height: 200,
    width: 200
};
ChartCircleIllustration.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};


export default ChartCircleIllustration;
import PropTypes from 'prop-types';