var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'file-circle-illustration';

var FileCircleIllustration = function (_React$PureComponent) {
    _inherits(FileCircleIllustration, _React$PureComponent);

    function FileCircleIllustration() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, FileCircleIllustration);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = FileCircleIllustration.__proto__ || Object.getPrototypeOf(FileCircleIllustration)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(FileCircleIllustration, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                width = _props.width;

            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    height: height,
                    title: title,
                    width: width,
                    viewBox: '0 0 140 140'
                },
                React.createElement(
                    'defs',
                    null,
                    React.createElement('rect', { id: 'b', width: 18, height: 18, rx: 2 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-86.1%',
                            y: '-80.6%',
                            width: '272.2%',
                            height: '272.2%',
                            filterUnits: 'objectBoundingBox',
                            id: 'a'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.06 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('rect', { id: 'd', width: 18, height: 18, rx: 2 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-86.1%',
                            y: '-80.6%',
                            width: '272.2%',
                            height: '272.2%',
                            filterUnits: 'objectBoundingBox',
                            id: 'c'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.06 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('rect', { id: 'f', width: 18, height: 18, rx: 2 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-86.1%',
                            y: '-80.6%',
                            width: '272.2%',
                            height: '272.2%',
                            filterUnits: 'objectBoundingBox',
                            id: 'e'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.06 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('rect', { id: 'h', width: 18, height: 18, rx: 2 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-86.1%',
                            y: '-80.6%',
                            width: '272.2%',
                            height: '272.2%',
                            filterUnits: 'objectBoundingBox',
                            id: 'g'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.06 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('rect', { id: 'j', width: 18, height: 18, rx: 2 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-86.1%',
                            y: '-80.6%',
                            width: '272.2%',
                            height: '272.2%',
                            filterUnits: 'objectBoundingBox',
                            id: 'i'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.06 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('rect', { id: 'l', width: 18, height: 18, rx: 2 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-86.1%',
                            y: '-80.6%',
                            width: '272.2%',
                            height: '272.2%',
                            filterUnits: 'objectBoundingBox',
                            id: 'k'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.06 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('rect', { id: 'n', width: 18, height: 18, rx: 2 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-86.1%',
                            y: '-80.6%',
                            width: '272.2%',
                            height: '272.2%',
                            filterUnits: 'objectBoundingBox',
                            id: 'm'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 5,
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.06 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('rect', { id: 'o', x: '.86', width: '4.29', height: 9, rx: '.78' })
                ),
                React.createElement(
                    'g',
                    { transform: 'translate(10 10)', fill: 'none', fillRule: 'evenodd' },
                    React.createElement('circle', { fill: '#FC627A', cx: 60, cy: 60, r: 60 }),
                    React.createElement('path', {
                        d: 'M36.6 41.4a1 1 0 0 0 .81.44h35.6a1 1 0 0 1 .99 1.01V82a1 1 0 0 1-1 1H15a1 1 0 0 1-1-1.01V38a1 1 0 0 1 1-1h18.05a1 1 0 0 1 .82.47l2.73 3.94z',
                        fill: '#F7D271',
                        fillRule: 'nonzero'
                    }),
                    React.createElement(
                        'g',
                        { transform: 'translate(20 49)' },
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.24',
                            width: 28,
                            height: 28,
                            rx: 14
                        }),
                        React.createElement('path', {
                            d: 'M19.7 17a5.7 5.7 0 1 0-11.4 0 5.7 5.7 0 0 0 11.4 0z',
                            stroke: '#FFF',
                            strokeWidth: '.6'
                        }),
                        React.createElement('path', {
                            d: 'M10 12.8v-2.57C10 7.89 11.8 6 14 6s4 1.9 4 4.23v2.57M14 15v4',
                            stroke: '#FFF',
                            strokeWidth: '.6',
                            strokeLinecap: 'round',
                            strokeLinejoin: 'round'
                        })
                    ),
                    React.createElement(
                        'g',
                        { transform: 'translate(54 8)' },
                        React.createElement(
                            'g',
                            { transform: 'translate(44 44)' },
                            React.createElement('use', { fill: '#000', filter: 'url(#a)', xlinkHref: '#b' }),
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#b' })
                        ),
                        React.createElement('path', {
                            d: 'M56.81 55v-2.95H51.1v4.29a1.43 1.43 0 1 1-1.43-1.43c.17-.02.33.01.48.1v-6.77h7.62v8.1a1.43 1.43 0 1 1-1.42-1.43c.16-.02.33.01.47.1zm-5.72-3.9h5.72v-1.91H51.1v1.9z',
                            fillOpacity: '.6',
                            fill: '#980DE0',
                            fillRule: 'nonzero'
                        }),
                        React.createElement(
                            'g',
                            { transform: 'translate(0 44)' },
                            React.createElement('use', { fill: '#000', filter: 'url(#c)', xlinkHref: '#d' }),
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#d' })
                        ),
                        React.createElement(
                            'g',
                            { fill: '#FC627A', fillRule: 'nonzero' },
                            React.createElement('path', { d: 'M3.18 55.65h11.64v1.06H3.18v-1.06zm0 2.11h11.64v1.06H3.18v-1.06zm5.3-9.52a3.12 3.12 0 0 0-3.19 3.17c0 1.8 1.38 3.18 3.18 3.18 1.8 0 3.18-1.38 3.18-3.18H8.47v-3.17z' }),
                            React.createElement('path', { d: 'M9.53 47.18v3.17h3.18c0-1.8-1.38-3.17-3.18-3.17z' })
                        ),
                        React.createElement(
                            'g',
                            { transform: 'translate(10 66)' },
                            React.createElement('use', { fill: '#000', filter: 'url(#e)', xlinkHref: '#f' }),
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#f' })
                        ),
                        React.createElement('path', {
                            d: 'M15.76 79.7c-.26.15-.47 0-.47-.29V70.6c0-.3.22-.44.47-.3l7.8 4.41c.12.04.2.15.2.27 0 .12-.08.23-.2.26l-7.8 4.48z',
                            fill: '#22A7F0',
                            fillRule: 'nonzero'
                        }),
                        React.createElement(
                            'g',
                            { transform: 'translate(32 66)' },
                            React.createElement('use', { fill: '#000', filter: 'url(#g)', xlinkHref: '#h' }),
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#h' })
                        ),
                        React.createElement('path', {
                            d: 'M43.24 73.62c-.99 0-1.8-.75-1.8-1.7 0-.93.81-1.68 1.8-1.68s1.8.75 1.8 1.69-.81 1.7-1.8 1.7zm-.54 3.47l-2.8-3.14a.38.38 0 0 0-.52-.05l-.05.05-4.15 4.76h11.64l-2.43-3.05a.32.32 0 0 0-.27-.15.32.32 0 0 0-.27.15l-1.15 1.43z',
                            fill: '#3FB87F',
                            fillRule: 'nonzero'
                        }),
                        React.createElement(
                            'g',
                            { transform: 'translate(22 44)' },
                            React.createElement('use', { fill: '#000', filter: 'url(#i)', xlinkHref: '#j' }),
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#j' })
                        ),
                        React.createElement('path', {
                            d: 'M25.18 48.24h11.64v1.36H25.18v-1.36zm0 2.72h11.64v1.36H25.18v-1.36zm0 2.72h11.64v1.36H25.18v-1.36zm0 2.72h8.47v1.36h-8.47V56.4z',
                            fill: '#4083F7',
                            fillRule: 'nonzero'
                        }),
                        React.createElement(
                            'g',
                            { transform: 'translate(13 22)' },
                            React.createElement('use', { fill: '#000', filter: 'url(#k)', xlinkHref: '#l' }),
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#l' })
                        ),
                        React.createElement('path', {
                            d: 'M26.85 25.18h-9.7c-.54 0-.97.52-.97 1.16v9.32c0 .64.43 1.16.97 1.16h9.7c.54 0 .97-.52.97-1.16v-9.32c0-.64-.43-1.16-.97-1.16zm-9.7 1.16h2.9v2.33h-2.9v-2.33zm0 3.5h2.9v2.32h-2.9v-2.32zm0 5.82v-2.33h2.9v2.33h-2.9zm9.7 0h-5.82v-2.33h5.82v2.33zm0-3.5h-5.82v-2.32h5.82v2.32zm-5.82-3.49v-2.33h5.82v2.33h-5.82z',
                            fill: '#3FB87F',
                            fillRule: 'nonzero'
                        }),
                        React.createElement(
                            'g',
                            { transform: 'translate(35 22)' },
                            React.createElement('use', { fill: '#000', filter: 'url(#m)', xlinkHref: '#n' }),
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#n' })
                        ),
                        React.createElement(
                            'g',
                            { transform: 'rotate(45 -9.1 67.5)' },
                            React.createElement('use', { fill: '#FFF', xlinkHref: '#o' }),
                            React.createElement('rect', {
                                stroke: '#FFF',
                                strokeWidth: '.78',
                                fillOpacity: '.05',
                                fill: '#BDC3C7',
                                x: '.47',
                                y: '-.39',
                                width: '5.06',
                                height: '9.78',
                                rx: '.78'
                            }),
                            React.createElement('rect', {
                                stroke: '#737F8B',
                                strokeWidth: '.78',
                                x: '.47',
                                y: '-.39',
                                width: '5.06',
                                height: '9.78',
                                rx: '.78'
                            })
                        ),
                        React.createElement('path', {
                            fill: '#FBFCFC',
                            d: 'M42.17 29.09l4.24 4.24-.7.7-4.25-4.23z'
                        }),
                        React.createElement('path', {
                            fill: '#737F8B',
                            d: 'M45.15 29.75l.7.7-2.89 2.9-.7-.71z'
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 22,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 44,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 57,
                            y: 22,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 54,
                            y: 66,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 57,
                            y: 88,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 66,
                            y: 44,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 35,
                            y: 88,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 13,
                            y: 88,
                            width: 18,
                            height: 18,
                            rx: 2
                        }),
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.2',
                            x: 21,
                            y: 110,
                            width: 18,
                            height: 18,
                            rx: 2
                        })
                    )
                )
            );
        }
    }]);

    return FileCircleIllustration;
}(React.PureComponent);

FileCircleIllustration.defaultProps = {
    className: '',
    height: 200,
    width: 200
};
FileCircleIllustration.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};


export default FileCircleIllustration;
import PropTypes from 'prop-types';