var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'folder-request-illustration';

var FolderCircleIllustration = function (_React$PureComponent) {
    _inherits(FolderCircleIllustration, _React$PureComponent);

    function FolderCircleIllustration() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, FolderCircleIllustration);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = FolderCircleIllustration.__proto__ || Object.getPrototypeOf(FolderCircleIllustration)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(FolderCircleIllustration, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                width = _props.width;

            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    height: height,
                    title: title,
                    width: width,
                    viewBox: '0 0 140 140'
                },
                React.createElement(
                    'defs',
                    null,
                    React.createElement('rect', { id: 'b', width: 30, height: 30, rx: 15 }),
                    React.createElement(
                        'filter',
                        {
                            x: '-160%',
                            y: '-150%',
                            width: '420%',
                            height: '420%',
                            filterUnits: 'objectBoundingBox',
                            id: 'a'
                        },
                        React.createElement('feOffset', {
                            dy: 1,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '2.5',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0.380392157 0 0 0 0 0.839215686 0 0 0 0.1 0',
                            'in': 'shadowBlurOuter1',
                            result: 'shadowMatrixOuter1'
                        }),
                        React.createElement('feOffset', {
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter2'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 4,
                            'in': 'shadowOffsetOuter2',
                            result: 'shadowBlurOuter2'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.04 0',
                            'in': 'shadowBlurOuter2',
                            result: 'shadowMatrixOuter2'
                        }),
                        React.createElement('feOffset', {
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter3'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: 8,
                            'in': 'shadowOffsetOuter3',
                            result: 'shadowBlurOuter3'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0.380392157 0 0 0 0 0.839215686 0 0 0 0.05 0',
                            'in': 'shadowBlurOuter3',
                            result: 'shadowMatrixOuter3'
                        }),
                        React.createElement('feOffset', {
                            dy: 2,
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter4'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '5.5',
                            'in': 'shadowOffsetOuter4',
                            result: 'shadowBlurOuter4'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.02 0',
                            'in': 'shadowBlurOuter4',
                            result: 'shadowMatrixOuter4'
                        }),
                        React.createElement(
                            'feMerge',
                            null,
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter1' }),
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter2' }),
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter3' }),
                            React.createElement('feMergeNode', { 'in': 'shadowMatrixOuter4' })
                        )
                    )
                ),
                React.createElement(
                    'g',
                    { fill: 'none', fillRule: 'evenodd' },
                    React.createElement('circle', { fill: '#5FC9CF', cx: 70, cy: 70, r: 60 }),
                    React.createElement('path', {
                        d: 'M61.616 45.983c.211.302.553.483.918.485h40.335A1.14 1.14 0 0 1 104 47.615v44.238A1.14 1.14 0 0 1 102.869 93H37.13A1.14 1.14 0 0 1 36 91.853V42.147A1.14 1.14 0 0 1 37.131 41h20.463c.379.01.728.21.93.535l3.092 4.448z',
                        fill: '#0061D5',
                        fillRule: 'nonzero'
                    }),
                    React.createElement(
                        'g',
                        { transform: 'translate(77.4 71)' },
                        React.createElement('use', { fill: '#000', filter: 'url(#a)', xlinkHref: '#b' }),
                        React.createElement('use', { fill: '#F7D271', xlinkHref: '#b' })
                    ),
                    React.createElement(
                        'g',
                        {
                            transform: 'translate(84.4 80)',
                            stroke: '#F9F9F9',
                            strokeWidth: '.6'
                        },
                        React.createElement('circle', { cx: '1.98', cy: '1.98', r: '1.98' }),
                        React.createElement('path', {
                            strokeLinecap: 'square',
                            d: 'M3.96 1.98h11.52v2.88m-3.42-2.88v2.16'
                        })
                    ),
                    React.createElement(
                        'g',
                        {
                            transform: 'rotate(180 49.94 46.02)',
                            stroke: '#F9F9F9',
                            strokeWidth: '.6'
                        },
                        React.createElement('circle', { cx: '1.98', cy: '1.98', r: '1.98' }),
                        React.createElement('path', {
                            strokeLinecap: 'square',
                            d: 'M3.96 1.98h11.52v2.88m-3.42-2.88v2.16'
                        })
                    ),
                    React.createElement(
                        'g',
                        { transform: 'translate(46 56)' },
                        React.createElement('rect', {
                            fill: '#FFF',
                            opacity: '.24',
                            width: 28,
                            height: 28,
                            rx: 14
                        }),
                        React.createElement(
                            'g',
                            { stroke: '#FFF', strokeWidth: '.6' },
                            React.createElement('path', { d: 'M12.7 10a2.7 2.7 0 1 0-5.4 0 2.7 2.7 0 0 0 5.4 0z' }),
                            React.createElement('path', {
                                d: 'M14.152 16.09C14.665 14.31 16.417 13 18.5 13c2.485 0 4.5 1.865 4.5 4.167 0 .048-.001 2.784-.003 2.833m-17.992.4C5.002 20.33 5 18.833 5 18.762 5 16.132 7.239 14 10 14s5 2.132 5 4.762c0 .056-.001 1.583-.003 1.638',
                                strokeLinecap: 'round',
                                strokeLinejoin: 'round'
                            }),
                            React.createElement('path', { d: 'M20.7 9.5a2.2 2.2 0 1 0-4.4 0 2.2 2.2 0 0 0 4.4 0z' })
                        )
                    ),
                    React.createElement('path', {
                        d: 'M62.603-13.592a.993.993 0 0 0 .81.429h35.589c.551 0 .998.454.998 1.015v39.133c0 .56-.447 1.015-.998 1.015H40.998c-.551 0-.998-.454-.998-1.015v-43.97c0-.56.447-1.015.998-1.015h18.056a.995.995 0 0 1 .82.473l2.729 3.935zm0 124a.993.993 0 0 0 .81.429h35.589c.551 0 .998.454.998 1.014v39.134c0 .56-.447 1.015-.998 1.015H40.998c-.551 0-.998-.454-.998-1.015v-43.97c0-.56.447-1.015.998-1.015h18.056a.995.995 0 0 1 .82.473l2.729 3.935z',
                        fill: '#FFF',
                        fillRule: 'nonzero',
                        opacity: '.24'
                    })
                )
            );
        }
    }]);

    return FolderCircleIllustration;
}(React.PureComponent);

FolderCircleIllustration.defaultProps = {
    className: '',
    height: 200,
    width: 200
};
FolderCircleIllustration.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};


export default FolderCircleIllustration;
import PropTypes from 'prop-types';